// Header file containing definitions for the
// Data Matrix bar code

// BC_DataMatrix.h

//// 1.0467 PAT 13.11.00 DATA MATRIX SIZE ////
// Added this file.
//// 1.0467 //////////////////////////////////

#ifndef BCDATAMATRIX
#define BCDATAMATRIX

class CDataMatrixSize
{
public:
	CString
		m_sName;
	int
		m_iRows,
		m_iCols;
};


const int BC_DM_SIZE_NUMBER			=	31;

// Index
const int BC_DM_SIZE_INDEX_MIN			=	0;
const int BC_DM_SIZE_INDEX_010x010		=	1;
const int BC_DM_SIZE_INDEX_012x012		=	2;
const int BC_DM_SIZE_INDEX_014x014		=	3;
const int BC_DM_SIZE_INDEX_016x016		=	4;
const int BC_DM_SIZE_INDEX_018x018		=	5;
const int BC_DM_SIZE_INDEX_020x020		=	6;
const int BC_DM_SIZE_INDEX_022x022		=	7;
const int BC_DM_SIZE_INDEX_024x024		=	8;
const int BC_DM_SIZE_INDEX_026x026		=	9;
const int BC_DM_SIZE_INDEX_032x032		=	10;
const int BC_DM_SIZE_INDEX_036x036		=	11;
const int BC_DM_SIZE_INDEX_040x040		=	12;
const int BC_DM_SIZE_INDEX_044x044		=	13;
const int BC_DM_SIZE_INDEX_048x048		=	14;
const int BC_DM_SIZE_INDEX_052x052		=	15;
const int BC_DM_SIZE_INDEX_064x064		=	16;
const int BC_DM_SIZE_INDEX_072x072		=	17;
const int BC_DM_SIZE_INDEX_080x080		=	18;
const int BC_DM_SIZE_INDEX_088x088		=	19;
const int BC_DM_SIZE_INDEX_096x096		=	20;
const int BC_DM_SIZE_INDEX_104x104		=	21;
const int BC_DM_SIZE_INDEX_120x120		=	22;
const int BC_DM_SIZE_INDEX_132x132		=	23;
const int BC_DM_SIZE_INDEX_144x144		=	24;
const int BC_DM_SIZE_INDEX_008x018		=	25;
const int BC_DM_SIZE_INDEX_008x032		=	26;
const int BC_DM_SIZE_INDEX_012x026		=	27;
const int BC_DM_SIZE_INDEX_012x036		=	28;
const int BC_DM_SIZE_INDEX_016x036		=	29;
const int BC_DM_SIZE_INDEX_016x048		=	30;
// Name
#define BC_DM_SIZE_NAME_MIN				_T("Smallest")
#define BC_DM_SIZE_NAME_010x010			_T("10 x 10")
#define BC_DM_SIZE_NAME_012x012			_T("12 x 12")
#define BC_DM_SIZE_NAME_014x014			_T("14 x 14")
#define BC_DM_SIZE_NAME_016x016			_T("16 x 16")
#define BC_DM_SIZE_NAME_018x018			_T("18 x 18")
#define BC_DM_SIZE_NAME_020x020			_T("20 x 20")
#define BC_DM_SIZE_NAME_022x022			_T("22 x 22")
#define BC_DM_SIZE_NAME_024x024			_T("24 x 24")
#define BC_DM_SIZE_NAME_026x026			_T("26 x 26")
#define BC_DM_SIZE_NAME_032x032			_T("32 x 32")
#define BC_DM_SIZE_NAME_036x036			_T("36 x 36")
#define BC_DM_SIZE_NAME_040x040			_T("40 x 40")
#define BC_DM_SIZE_NAME_044x044			_T("44 x 44")
#define BC_DM_SIZE_NAME_048x048			_T("48 x 48")
#define BC_DM_SIZE_NAME_052x052			_T("52 x 52")
#define BC_DM_SIZE_NAME_064x064			_T("64 x 64")
#define BC_DM_SIZE_NAME_072x072			_T("72 x 72")
#define BC_DM_SIZE_NAME_080x080			_T("80 x 80")
#define BC_DM_SIZE_NAME_088x088			_T("88 x 88")
#define BC_DM_SIZE_NAME_096x096			_T("96 x 96")
#define BC_DM_SIZE_NAME_104x104			_T("104 x 104")
#define BC_DM_SIZE_NAME_120x120			_T("120 x 120")
#define BC_DM_SIZE_NAME_132x132			_T("132 x 132")
#define BC_DM_SIZE_NAME_144x144			_T("144 x 144")
#define BC_DM_SIZE_NAME_008x018			_T("8 x 18")
#define BC_DM_SIZE_NAME_008x032			_T("8 x 32")
#define BC_DM_SIZE_NAME_012x026			_T("12 x 26")
#define BC_DM_SIZE_NAME_012x036			_T("12 x 36")
#define BC_DM_SIZE_NAME_016x036			_T("16 x 36")
#define BC_DM_SIZE_NAME_016x048			_T("16 x 48")
// Rows
const int BC_DM_SIZE_ROWS_MIN			=	0;
const int BC_DM_SIZE_ROWS_010x010		=	10;
const int BC_DM_SIZE_ROWS_012x012		=	12;
const int BC_DM_SIZE_ROWS_014x014		=	14;
const int BC_DM_SIZE_ROWS_016x016		=	16;
const int BC_DM_SIZE_ROWS_018x018		=	18;
const int BC_DM_SIZE_ROWS_020x020		=	20;
const int BC_DM_SIZE_ROWS_022x022		=	22;
const int BC_DM_SIZE_ROWS_024x024		=	24;
const int BC_DM_SIZE_ROWS_026x026		=	26;
const int BC_DM_SIZE_ROWS_032x032		=	32;
const int BC_DM_SIZE_ROWS_036x036		=	36;
const int BC_DM_SIZE_ROWS_040x040		=	40;
const int BC_DM_SIZE_ROWS_044x044		=	44;
const int BC_DM_SIZE_ROWS_048x048		=	48;
const int BC_DM_SIZE_ROWS_052x052		=	52;
const int BC_DM_SIZE_ROWS_064x064		=	64;
const int BC_DM_SIZE_ROWS_072x072		=	72;
const int BC_DM_SIZE_ROWS_080x080		=	80;
const int BC_DM_SIZE_ROWS_088x088		=	88;
const int BC_DM_SIZE_ROWS_096x096		=	96;
const int BC_DM_SIZE_ROWS_104x104		=	104;
const int BC_DM_SIZE_ROWS_120x120		=	120;
const int BC_DM_SIZE_ROWS_132x132		=	132;
const int BC_DM_SIZE_ROWS_144x144		=	144;
const int BC_DM_SIZE_ROWS_008x018		=	8;
const int BC_DM_SIZE_ROWS_008x032		=	8;
const int BC_DM_SIZE_ROWS_012x026		=	12;
const int BC_DM_SIZE_ROWS_012x036		=	12;
const int BC_DM_SIZE_ROWS_016x036		=	16;
const int BC_DM_SIZE_ROWS_016x048		=	16;
// Columns
const int BC_DM_SIZE_COLS_MIN			=	0;
const int BC_DM_SIZE_COLS_010x010		=	10;
const int BC_DM_SIZE_COLS_012x012		=	12;
const int BC_DM_SIZE_COLS_014x014		=	14;
const int BC_DM_SIZE_COLS_016x016		=	16;
const int BC_DM_SIZE_COLS_018x018		=	18;
const int BC_DM_SIZE_COLS_020x020		=	20;
const int BC_DM_SIZE_COLS_022x022		=	22;
const int BC_DM_SIZE_COLS_024x024		=	24;
const int BC_DM_SIZE_COLS_026x026		=	26;
const int BC_DM_SIZE_COLS_032x032		=	32;
const int BC_DM_SIZE_COLS_036x036		=	36;
const int BC_DM_SIZE_COLS_040x040		=	40;
const int BC_DM_SIZE_COLS_044x044		=	44;
const int BC_DM_SIZE_COLS_048x048		=	48;
const int BC_DM_SIZE_COLS_052x052		=	52;
const int BC_DM_SIZE_COLS_064x064		=	64;
const int BC_DM_SIZE_COLS_072x072		=	72;
const int BC_DM_SIZE_COLS_080x080		=	80;
const int BC_DM_SIZE_COLS_088x088		=	88;
const int BC_DM_SIZE_COLS_096x096		=	96;
const int BC_DM_SIZE_COLS_104x104		=	104;
const int BC_DM_SIZE_COLS_120x120		=	120;
const int BC_DM_SIZE_COLS_132x132		=	132;
const int BC_DM_SIZE_COLS_144x144		=	144;
const int BC_DM_SIZE_COLS_008x018		=	18;
const int BC_DM_SIZE_COLS_008x032		=	32;
const int BC_DM_SIZE_COLS_012x026		=	26;
const int BC_DM_SIZE_COLS_012x036		=	36;
const int BC_DM_SIZE_COLS_016x036		=	36;
const int BC_DM_SIZE_COLS_016x048		=	48;


const int BC_DM_SIZE_MAXDATASIZE		=	144*144+2;
											// Max dims plus row and col

const int BC_DM_ENCODE_DATA_ROWS				=	0;
const int BC_DM_ENCODE_DATA_COLS				=	1;
const int BC_DM_ENCODE_DATA_DATASTART			=	2;				

const int BC_DM_ENCODE_ERROR_NOERROR			=	0;
const int BC_DM_ENCODE_ERROR_UNKNOWN			=	1;
const int BC_DM_ENCODE_ERROR_TOOSMALLFORDATA	=	2;

#endif  // BCDATAMATRIX

