// RTC3DLL_DEC.h
//
// This file contains the declarations
// for the functions in the RTC3 DLL that
// are made accessible to ProLase

#ifndef RTC3DLL_DEC
#define RTC3DLL_DEC

N_LOAD_VARPOLYDELAY n_load_varpolydelay;
LOAD_VARPOLYDELAY load_varpolydelay;
N_LOAD_PROGRAM_FILE n_load_program_file;
LOAD_PROGRAM_FILE load_program_file;
N_LOAD_CORRECTION_FILE n_load_correction_file;
LOAD_CORRECTION_FILE load_correction_file;
N_LOAD_Z_TABLE n_load_z_table;
LOAD_Z_TABLE load_z_table;
N_LIST_NOP n_list_nop;
LIST_NOP list_nop;
N_SET_END_OF_LIST n_set_end_of_list;
SET_END_OF_LIST set_end_of_list;
N_JUMP_ABS_3D n_jump_abs_3d;
JUMP_ABS_3D jump_abs_3d;
N_JUMP_ABS n_jump_abs;
JUMP_ABS jump_abs;
N_MARK_ABS_3D n_mark_abs_3d;
MARK_ABS_3D mark_abs_3d;
N_MARK_ABS n_mark_abs;
MARK_ABS mark_abs;
N_JUMP_REL_3D n_jump_rel_3d;
JUMP_REL_3D jump_rel_3d;
N_JUMP_REL n_jump_rel;
JUMP_REL jump_rel;
N_MARK_REL_3D n_mark_rel_3d;
MARK_REL_3D mark_rel_3d;
N_MARK_REL n_mark_rel;
MARK_REL mark_rel;
N_WRITE_8BIT_PORT_LIST n_write_8bit_port_list;
WRITE_8BIT_PORT_LIST write_8bit_port_list;
N_WRITE_DA_1_LIST n_write_da_1_list;
WRITE_DA_1_LIST write_da_1_list;
N_WRITE_DA_2_LIST n_write_da_2_list;
WRITE_DA_2_LIST write_da_2_list;
N_SET_OFFSET_LIST n_set_offset_list;
SET_OFFSET_LIST set_offset_list;
N_LONG_DELAY n_long_delay;
LONG_DELAY long_delay;
N_LASER_ON_LIST n_laser_on_list;
LASER_ON_LIST laser_on_list;
N_SET_JUMP_SPEED n_set_jump_speed;
SET_JUMP_SPEED set_jump_speed;
N_SET_MARK_SPEED n_set_mark_speed;
SET_MARK_SPEED set_mark_speed;
N_SET_LASER_DELAYS n_set_laser_delays;
SET_LASER_DELAYS set_laser_delays;
N_SET_SCANNER_DELAYS n_set_scanner_delays;
SET_SCANNER_DELAYS set_scanner_delays;
N_SET_LIST_JUMP n_set_list_jump;
SET_LIST_JUMP set_list_jump;
N_SET_INPUT_POINTER n_set_input_pointer;
SET_INPUT_POINTER set_input_pointer;
SET_LIST_POINTER set_list_pointer;
N_LIST_CALL n_list_call;
LIST_CALL list_call;
N_LIST_RETURN n_list_return;
LIST_RETURN list_return;
N_Z_OUT_LIST n_z_out_list;
Z_OUT_LIST z_out_list;
N_SET_STANDBY_LIST n_set_standby_list;
SET_STANDBY_LIST set_standby_list;
N_TIMED_JUMP_ABS n_timed_jump_abs;
TIMED_JUMP_ABS timed_jump_abs;
N_TIMED_MARK_ABS n_timed_mark_abs;
TIMED_MARK_ABS timed_mark_abs;
N_TIMED_JUMP_REL n_timed_jump_rel;
TIMED_JUMP_REL timed_jump_rel;
N_TIMED_MARK_REL n_timed_mark_rel;
TIMED_MARK_REL timed_mark_rel;
N_SET_LASER_TIMING n_set_laser_timing;
SET_LASER_TIMING set_laser_timing;
N_SET_WOBBEL n_set_wobbel;
SET_WOBBEL set_wobbel;
N_SET_FLY_X n_set_fly_x;
SET_FLY_X set_fly_x;
N_SET_FLY_Y n_set_fly_y;
SET_FLY_Y set_fly_y;
N_WRITE_IO_PORT_LIST n_write_io_port_list;
WRITE_IO_PORT_LIST write_io_port_list;
N_SET_WAIT n_set_wait;
SET_WAIT set_wait;
N_SIMULATE_EXT_START n_simulate_ext_start;
SIMULATE_EXT_START simulate_ext_start;
N_WRITE_DA_X_LIST n_write_da_x_list;
WRITE_DA_X_LIST write_da_x_list;
N_SET_PIXEL_LINE n_set_pixel_line;
SET_PIXEL_LINE set_pixel_line;
N_SET_PIXEL n_set_pixel;
SET_PIXEL set_pixel;
SET_LINE set_line;
N_SET_EXTSTARTPOS_LIST n_set_extstartpos_list;
SET_EXTSTARTPOS_LIST set_extstartpos_list;
N_LASER_SIGNAL_ON_LIST n_laser_signal_on_list;
LASER_SIGNAL_ON_LIST laser_signal_on_list;
N_LASER_SIGNAL_OFF_LIST n_laser_signal_off_list;
LASER_SIGNAL_OFF_LIST laser_signal_off_list;
N_GET_INPUT_POINTER n_get_input_pointer;
GET_INPUT_POINTER get_input_pointer;
SELECT_RTC select_rtc;
RTC3_COUNT_CARDS rtc3_count_cards;
N_GET_STATUS n_get_status;
GET_STATUS get_status;
N_READ_STATUS n_read_status;
READ_STATUS read_status;
N_GET_STARTSTOP_INFO n_get_startstop_info;
GET_STARTSTOP_INFO get_startstop_info;
GET_DLL_VERSION get_dll_version;
N_SET_START_LIST_1 n_set_start_list_1;
SET_START_LIST_1 set_start_list_1;
N_SET_START_LIST_2 n_set_start_list_2;
SET_START_LIST_2 set_start_list_2;
N_SET_START_LIST n_set_start_list;
SET_START_LIST set_start_list;
N_EXECUTE_LIST_1 n_execute_list_1;
EXECUTE_LIST_1 execute_list_1;
N_EXECUTE_LIST_2 n_execute_list_2;
EXECUTE_LIST_2 execute_list_2;
N_EXECUTE_LIST n_execute_list;
EXECUTE_LIST execute_list;
N_WRITE_8BIT_PORT n_write_8bit_port;
WRITE_8BIT_PORT write_8bit_port;
N_WRITE_IO_PORT n_write_io_port;
WRITE_IO_PORT write_io_port;
N_AUTO_CHANGE n_auto_change;
AUTO_CHANGE auto_change;
AUT_CHANGE aut_change;
N_START_LOOP n_start_loop;
START_LOOP start_loop;
N_QUIT_LOOP n_quit_loop;
QUIT_LOOP quit_loop;
N_STOP_EXECUTION n_stop_execution;
STOP_EXECUTION stop_execution;
N_READ_IO_PORT n_read_io_port;
READ_IO_PORT read_io_port;
N_WRITE_DA_1 n_write_da_1;
WRITE_DA_1 write_da_1;
N_WRITE_DA_2 n_write_da_2;
WRITE_DA_2 write_da_2;
N_SET_MAX_COUNTS n_set_max_counts;
SET_MAX_COUNTS set_max_counts;
N_GET_COUNTS n_get_counts;
GET_COUNTS get_counts;
N_SET_MATRIX n_set_matrix;
SET_MATRIX set_matrix;
N_SET_OFFSET n_set_offset;
SET_OFFSET set_offset;
N_GOTO_XYZ n_goto_xyz;
GOTO_XYZ goto_xyz;
N_GOTO_XY n_goto_xy;
GOTO_XY goto_xy;
N_GET_HEX_VERSION n_get_hex_version;
GET_HEX_VERSION get_hex_version;
N_DISABLE_LASER n_disable_laser;
DISABLE_LASER disable_laser;
N_ENABLE_LASER n_enable_laser;
ENABLE_LASER enable_laser;
N_STOP_LIST n_stop_list;
STOP_LIST stop_list;
N_RESTART_LIST n_restart_list;
RESTART_LIST restart_list;
N_GET_XYZ_POS n_get_xyz_pos;
GET_XYZ_POS get_xyz_pos;
N_GET_XY_POS n_get_xy_pos;
GET_XY_POS get_xy_pos;
N_SELECT_LIST n_select_list;
SELECT_LIST select_list;
N_Z_OUT n_z_out;
Z_OUT z_out;
N_SET_FIRSTPULSE_KILLER n_set_firstpulse_killer;
SET_FIRSTPULSE_KILLER set_firstpulse_killer;
N_SET_STANDBY n_set_standby;
SET_STANDBY set_standby;
N_LASER_SIGNAL_ON n_laser_signal_on;
LASER_SIGNAL_ON laser_signal_on;
N_LASER_SIGNAL_OFF n_laser_signal_off;
LASER_SIGNAL_OFF laser_signal_off;
N_SET_DELAY_MODE n_set_delay_mode;
SET_DELAY_MODE set_delay_mode;
N_SET_PISO_CONTROL n_set_piso_control;
SET_PISO_CONTROL set_piso_control;
N_GET_ENCODER n_get_encoder;
GET_ENCODER get_encoder;
N_SELECT_COR_TABLE n_select_cor_table;
SELECT_COR_TABLE select_cor_table;
N_EXECUTE_AT_POINTER n_execute_at_pointer;
EXECUTE_AT_POINTER execute_at_pointer;
N_GET_HEAD_STATUS n_get_head_status;
GET_HEAD_STATUS get_head_status;
N_SIMULATE_ENCODER n_simulate_encoder;
SIMULATE_ENCODER simulate_encoder;
N_SET_HI n_set_hi;
SET_HI set_hi;
N_RELEASE_WAIT n_release_wait;
RELEASE_WAIT release_wait;
N_GET_WAIT_STATUS n_get_wait_status;
GET_WAIT_STATUS get_wait_status;
N_SET_CONTROL_MODE n_set_control_mode;
SET_CONTROL_MODE set_control_mode;
N_SET_LASER_MODE n_set_laser_mode;
SET_LASER_MODE set_laser_mode;
N_SET_EXT_START_DELAY n_set_ext_start_delay;
SET_EXT_START_DELAY set_ext_start_delay;
N_HOME_POSITION n_home_position;
HOME_POSITION home_position;
N_DSP_START n_dsp_start;
DSP_START dsp_start;
N_WRITE_DA_X n_write_da_x;
WRITE_DA_X write_da_x;
N_READ_AD_X n_read_ad_x;
READ_AD_X read_ad_x;
N_READ_PIXEL_AD n_read_pixel_ad;
READ_PIXEL_AD read_pixel_ad;
N_GET_Z_DISTANCE n_get_z_distance;
GET_Z_DISTANCE get_z_distance;
WRITE_16BIT_PORT write_16bit_port;
SET_BASES set_bases;
SET_EXT2_MODE set_ext2_mode;
FIELD_JUMP field_jump;
HOME_JUMP home_jump;
SET_MODE set_mode;
SET_DELAYS set_delays;
GET_RTC2_MODE get_rtc2_mode;
SET_BASE set_base;
SET_CO2_STANDBY set_co2_standby;
SET_CO2_STANDBY_LIST set_co2_standby_list;
LOAD_COR load_cor;
LOAD_PRO load_pro;
WRITE_DA write_da;
POLA_ABS pola_abs;
POLB_ABS polb_abs;
POLC_ABS polc_abs;
WRITE_DA_LIST write_da_list;
LASER_ON laser_on;
SET_SPEED set_speed;
SET_GAIN set_gain;
GET_VERSION get_version;
SET_YAG_PARAMETER set_yag_parameter;
SET_ENCODER_VALUES set_encoder_values;
N_GET_SERIAL_NUMBER n_get_serial_number;
GET_SERIAL_NUMBER get_serial_number;
N_GET_RTC_VERSION n_get_rtc_version;
GET_RTC_VERSION get_rtc_version;
N_AUTO_CAL n_auto_cal;
AUTO_CAL auto_cal;
N_SET_LIST_MODE n_set_list_mode;
SET_LIST_MODE set_list_mode;
N_GET_LIST_SPACE n_get_list_space;
GET_LIST_SPACE get_list_space;
GET_RTC2_VERSION get_rtc2_version;
WRITE_PORT_BYTE write_port_byte;
WRITE_PORT_WORD write_port_word;
READ_PORT_BYTE read_port_byte;
READ_PORT_WORD read_port_word;

//// JT080128A Adding Custom Pulse Width Table for RTC4 ////
N_SET_SOFTSTART_MODE n_set_softstart_mode;
N_SET_SOFTSTART_LEVEL n_set_softstart_level;
//// JT080128A /////////////////////////////////////////////

#endif // RTC3DLL_DEC
