// RTC3State.h 
//
// Header file for the CRTC3State class
//////////////////////////////////////////

//// 1.0445 PAT 11.10.00 RTC3 DRIVER ////
// Added this file
//// 1.0445 /////////////////////////////

#ifndef RTC3STATE
#define RTC3STATE

// Class specific constants

class CRTC3State
{
public:
// Attributes
	BOOL
		m_bRTC3Working;

	UINT
		m_nCard,
		m_nCardCount;

	UINT
		m_nVerHardware,
		m_nVerSoftware,
		m_nVerDLL,
		m_nVerSerialNumber;

	BOOL
		m_bOptFly,
		m_bOpt2Heads,
		m_bOpt3D,
		m_bOptIO;
	//// 1.1023 PAT 03.06.05 RTC 3D OPTION FIX ////
	BOOL
		m_bAvailOptFly,
		m_bAvailOpt2Heads,
		m_bAvailOpt3D,
		m_bAvailOptIO;
	//// 1.1023 PAT ///////////////////////////////

	BOOL
		m_bFlyResetEncoder;
	double
		m_dFlyKX,
		m_dFlyKY;

	double 
		m_d3DZOffset;
	short
		m_i3DZ;

	//// 1.0587 PAT 15.08.01 RTC3 FLY ISSUES ////
	int
		m_iFlySimAxis;
	//// 1.0587 /////////////////////////////////
	
// Operators
public:

	CRTC3State (void);
	~CRTC3State (void);

	void Init (void);

	void operator =( const CRTC3State& src );
	BOOL operator ==( const CRTC3State& src );
	

protected:


};


#endif // RTC3STATE