// RTCSA4DLL_DEC.h
//
// This file contains the declarations
// for the functions in the RTCSA4 DLL that
// are made accessible to ProLase

//// 1.1037 PAT 25.07.05 SCANALONE ////
// Added this file
//// 1.1037 ///////////////////////////

#ifndef RTCSA4DLL_DEC
#define RTCSA4DLL_DEC

SA4_USB_STATUS usb_status;
SA4_LOAD_CORRECTION_FILE load_correction_file;
SA4_LOAD_COR load_cor;
SA4_LOAD_PROGRAM_FILE load_program_file;
SA4_LOAD_PRO load_pro;
SA4_LOAD_VARPOLYDELAY load_varpolydelay;
SA4_LOAD_Z_TABLE load_z_table;
SA4_GET_WAVEFORM get_waveform;
SA4_GET_STATUS get_status;
SA4_READ_STATUS read_status;
SA4_GET_DLL_VERSION get_dll_version;
SA4_GET_INPUT_POINTER get_input_pointer;
SA4_SET_INPUT_POINTER set_input_pointer;
SA4_SET_START_LIST_1 set_start_list_1;
SA4_SET_START_LIST_2 set_start_list_2;
SA4_SET_START_LIST set_start_list;
SA4_EXECUTE_LIST_1 execute_list_1;
SA4_EXECUTE_LIST_2 execute_list_2;
SA4_EXECUTE_LIST execute_list;
SA4_WRITE_8BIT_PORT write_8bit_port;
SA4_WRITE_IO_PORT write_io_port;
SA4_AUTO_CHANGE auto_change;
SA4_AUT_CHANGE aut_change;
SA4_START_LOOP start_loop;
SA4_QUIT_LOOP quit_loop;
SA4_STOP_EXECUTION stop_execution;
SA4_DSP_START dsp_start;
SA4_READ_IO_PORT read_io_port;
SA4_WRITE_DA_1 write_da_1;
SA4_WRITE_DA_2 write_da_2;
SA4_WRITE_DA_X write_da_x;
SA4_SET_MAX_COUNTS set_max_counts;
SA4_GET_COUNTS get_counts;
SA4_SET_MATRIX set_matrix;
SA4_SET_OFFSET set_offset;
SA4_GOTO_XY goto_xy;
SA4_GOTO_XYZ goto_xyz;
SA4_GET_HEX_VERSION get_hex_version;
SA4_ENABLE_LASER enable_laser;
SA4_DISABLE_LASER disable_laser;
SA4_STOP_LIST stop_list;
SA4_RESTART_LIST restart_list;
SA4_GET_RTC_VERSION get_rtc_version;
SA4_GET_XY_POS get_xy_pos;
SA4_GET_XYZ_POS get_xyz_pos;
SA4_SELECT_LIST select_list;
SA4_SET_EXTSTARTPOS set_extstartpos;
SA4_Z_OUT z_out;
SA4_SET_FIRSTPULSE_KILLER set_firstpulse_killer;
SA4_SET_STANDBY set_standby;
SA4_LASER_SIGNAL_ON laser_signal_on;
SA4_LASER_SIGNAL_OFF laser_signal_off;
SA4_SET_DELAY_MODE set_delay_mode;
SA4_SET_PISO_CONTROL set_piso_control;
SA4_SELECT_STATUS select_status;
SA4_GET_ENCODER get_encoder;
SA4_SELECT_COR_TABLE select_cor_table;
SA4_EXECUTE_AT_POINTER execute_at_pointer;
SA4_GET_HEAD_STATUS get_head_status;
SA4_SIMULATE_ENCODER simulate_encoder;
SA4_RELEASE_WAIT release_wait;
SA4_GET_WAIT_STATUS get_wait_status;
SA4_SET_CONTROL_MODE set_control_mode;
SA4_SET_LASER_MODE set_laser_mode;
SA4_SET_EXT_START_DELAY set_ext_start_delay;
SA4_HOME_POSITION home_position;
SA4_READ_AD_X read_ad_x;
SA4_GET_Z_DISTANCE get_z_distance;
SA4_GET_STARTSTOP_INFO get_startstop_info;
SA4_GET_IO_STATUS get_io_status;
SA4_GET_TIME get_time;
SA4_SET_DEFOCUS set_defocus;
SA4_SET_SOFTSTART_MODE set_softstart_mode;
SA4_SET_SOFTSTART_LEVEL set_softstart_level;
SA4_CONTROL_COMMAND control_command;
SA4_SET_ROT_CENTER set_rot_center;
SA4_AUTO_CHANGE_POS auto_change_pos;
SA4_GET_VALUE get_value;
SA4_STORE_ON_MMC store_on_mmc;
SA4_GET_SERIAL_NUMBER get_serial_number;
SA4_MEASUREMENT_STATUS measurement_status;
SA4_CLEAR_LIST clear_list;
SA4_SET_CHAR_TABLE set_char_table;
SA4_TIME_UPDATE time_update;
SA4_SET_SERIAL set_serial;
SA4_LIST_NOP list_nop;
SA4_SET_END_OF_LIST set_end_of_list;
SA4_JUMP_ABS jump_abs;
SA4_JUMP_ABS_3D jump_abs_3d;
SA4_MARK_ABS mark_abs;
SA4_MARK_ABS_3D mark_abs_3d;
SA4_JUMP_REL jump_rel;
SA4_JUMP_REL_3D jump_rel_3d;
SA4_MARK_REL mark_rel;
SA4_MARK_REL_3D mark_rel_3d;
SA4_WRITE_8BIT_PORT_LIST write_8bit_port_list;
SA4_WRITE_DA_1_LIST write_da_1_list;
SA4_WRITE_DA_2_LIST write_da_2_list;
SA4_WRITE_DA_X_LIST write_da_x_list;
SA4_SET_OFFSET_LIST set_offset_list;
SA4_LONG_DELAY long_delay;
SA4_LASER_ON_LIST laser_on_list;
SA4_SET_JUMP_SPEED set_jump_speed;
SA4_SET_MARK_SPEED set_mark_speed;
SA4_SET_LASER_DELAYS set_laser_delays;
SA4_SET_SCANNER_DELAYS set_scanner_delays;
SA4_SET_LIST_JUMP set_list_jump;
SA4_LIST_CALL list_call;
SA4_LIST_RETURN list_return;
SA4_Z_OUT_LIST z_out_list;
SA4_SET_STANDBY_LIST set_standby_list;
SA4_TIMED_JUMP_ABS timed_jump_abs;
SA4_TIMED_MARK_ABS timed_mark_abs;
SA4_TIMED_JUMP_REL timed_jump_rel;
SA4_TIMED_MARK_REL timed_mark_rel;
SA4_SET_LASER_TIMING set_laser_timing;
SA4_SET_WOBBEL set_wobbel;
SA4_SET_FLY_X set_fly_x;
SA4_SET_FLY_Y set_fly_y;
SA4_WRITE_IO_PORT_LIST write_io_port_list;
SA4_SET_WAIT set_wait;
SA4_SIMULATE_EXT_START simulate_ext_start;
SA4_SET_PIXEL_LINE set_pixel_line;
SA4_SET_PIXEL set_pixel;
SA4_SET_EXTSTARTPOS_LIST set_extstartpos_list;
SA4_LASER_SIGNAL_ON_LIST laser_signal_on_list;
SA4_LASER_SIGNAL_OFF_LIST laser_signal_off_list;
SA4_SET_FIRSTPULSE_KILLER_LIST set_firstpulse_killer_list;
SA4_SET_IO_COND_LIST set_io_cond_list;
SA4_CLEAR_IO_COND_LIST clear_io_cond_list;
SA4_LIST_JUMP_COND list_jump_cond;
SA4_LIST_CALL_COND list_call_cond;
SA4_SAVE_AND_RESTART_TIMER save_and_restart_timer;
SA4_SET_MATRIX_LIST set_matrix_list;
SA4_SET_CONTROL_MODE_LIST set_control_mode_list;
SA4_SET_DEFOCUS_LIST set_defocus_list;
SA4_SET_EXT_START_DELAY_LIST set_ext_start_delay_list;
SA4_SET_WOBBEL_XY set_wobbel_xy;
SA4_CALCULATE_FLY calculate_fly;
SA4_SELECT_COR_TABLE_LIST select_cor_table_list;
SA4_SET_FLY_ROT set_fly_rot;
SA4_FLY_RETURN fly_return;
SA4_SET_TRIGGER set_trigger;
SA4_ARC_REL arc_rel;
SA4_ARC_ABS arc_abs;
SA4_TIME_FIX time_fix;
SA4_MARK_TIME mark_time;
SA4_MARK_DATE mark_date;
SA4_MARK_SERIAL mark_serial;


#endif // RTCSA4DLL_DEC
