// CntrItem.h : interface of the CWinScribeCntrItem class
//

class CWinScribeDoc;
class CWinScribeView;

class CWinScribeCntrItem : public COleClientItem
{
	DECLARE_SERIAL(CWinScribeCntrItem)

// Constructors
public:
	CWinScribeCntrItem(CWinScribeDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CWinScribeDoc* GetDocument()
		{ return (CWinScribeDoc*)COleClientItem::GetDocument(); }
	CWinScribeView* GetActiveView()
		{ return (CWinScribeView*)COleClientItem::GetActiveView(); }

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinScribeCntrItem)
	public:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	virtual void OnActivate();
	protected:
	virtual void OnGetItemPosition(CRect& rPosition);
	virtual void OnDeactivateUI(BOOL bUndoable);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);
	//}}AFX_VIRTUAL

// Implementation
public:
	~CWinScribeCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
};

/////////////////////////////////////////////////////////////////////////////
