//// 1.1027 PAT 08.06.05 RTC LOGGING ////
//// 1.1027 /////////////////////////////

// Declarations for wrapper functions


// 001
unsigned short WRAP_RTC4_count_cards(void);
// 002
void WRAP_select_rtc(unsigned short usCard);
// 003
unsigned short WRAP_n_get_rtc_version(void);
// 004
unsigned short WRAP_n_get_hex_version(void);
// 005
unsigned short WRAP_get_dll_version(void);
// 006
unsigned short WRAP_n_get_serial_number(void);
// 007
short WRAP_n_load_correction_file(CString sFileName, UINT nTable, double dGainX, double dGainY,
										double dRot, double dOffsetX, double dOffsetY);
// 008
short WRAP_n_load_z_table(double dA, double dB, double dC);
// 009
void WRAP_n_select_cor_table(unsigned short usA, unsigned short usB);
// 010
short WRAP_n_load_program_file(CString sFileName);
// 011
void WRAP_n_set_control_mode(unsigned short usMode);
// 012
void WRAP_n_set_list_mode(unsigned short usMode);
// 013
void WRAP_n_get_status(unsigned short *pBusy, unsigned short *pPos);
// 014
void WRAP_n_stop_execution(void);
// 015
void WRAP_n_set_delay_mode(unsigned short nPoly, unsigned short nDirectMode3D,
										unsigned short nPolyLimit, unsigned short nJumpMin,
										unsigned short nJumpLimit);
// 016
void WRAP_n_set_scanner_delays(unsigned short nJump, unsigned short nMark,
										unsigned short nPoly);
// 017
void WRAP_n_set_jump_speed(double dSpeed);
// 018
void WRAP_n_set_mark_speed(double dSpeed);
// 019
void WRAP_n_set_laser_mode(unsigned short nMode);
// 020
void WRAP_n_set_laser_delays(short iOn, short iOff);
// 021
void WRAP_n_set_standby(unsigned short nHalfPer, unsigned short nWidth);
// 022
void WRAP_n_set_firstpulse_killer(unsigned short nFPS);
// 023
void WRAP_n_set_laser_timing(unsigned short nHalfPer, unsigned short nPW1,
										  unsigned short nPW2, unsigned short nTB1);
// 024
void WRAP_n_write_da_x(unsigned short nPort, unsigned short nValue);
// 025
void WRAP_n_write_8bit_port(unsigned short nValue);
// 026
void WRAP_n_set_start_list(unsigned short nList);
// 027
void WRAP_n_jump_abs(unsigned short nX, unsigned short nY);
// 028
void WRAP_n_set_end_of_list(void);
// 029
void WRAP_n_execute_list(unsigned short nList);
// 030
void WRAP_n_laser_on_list(unsigned short nTime);
// 031
void WRAP_n_laser_signal_on(void);
// 032
void WRAP_n_laser_signal_off(void);
// 033
void WRAP_n_auto_change(void);
// 034
void WRAP_n_goto_xyz(short iX, short iY, short iZ);
// 035
void WRAP_n_get_xyz_pos(short *pX, short *pY, short *pZ);
// 036
void WRAP_n_jump_abs_3d(short iX, short iY, short iZ);
// 037
void WRAP_n_mark_abs_3d(short iX, short iY, short iZ);
// 038
void WRAP_n_set_pixel_line(unsigned short nMode, unsigned short nPer,
										double dX, double dY);
// 039
void WRAP_n_set_pixel(unsigned short nPW, unsigned short nDAC,
								   unsigned short nADC);
// 040
void WRAP_n_get_encoder(short *pX, short *pY);
// 041
void WRAP_n_set_fly_x(double dKX);
// 042
void WRAP_n_set_fly_y(double dKY);
// 043
unsigned short WRAP_n_get_startstop_info(void);
// 044
void WRAP_n_select_list(unsigned short usList);
// 045
unsigned short WRAP_n_read_io_port(void);
// 046
void WRAP_n_write_io_port(unsigned short usValue);
// 047
void WRAP_n_set_wobbel(unsigned short nAmp, double dFreq);
// 048
void WRAP_n_simulate_encoder(unsigned short nAxis);
// 049
void WRAP_n_jump_rel_3d(short iX, short iY, short iZ);
// 050
void WRAP_n_mark_rel_3d(short iX, short iY, short iZ);
// 051
void WRAP_n_set_piso_control(short iA, short iB);
// 052
short WRAP_n_load_varpolydelay(CString sFileName, unsigned short nTable);
// 053
void WRAP_n_set_standby_list(unsigned short nHalfPer, unsigned short nWidth);
// 054
void WRAP_n_jump_rel(short iX, short iY);

//// 1.1335 PAT 15.06.07 UPDATE SPOT CODE ////
// 55
void WRAP_n_long_delay(unsigned short usValue);
// 56
void WRAP_n_laser_signal_on_list(void);
// 57
void WRAP_n_laser_signal_off_list(void);
//// 1.1335 //////////////////////////////////

//// JT080128A Adding Custom Pulse Width Table for RTC4 ////
// 58
void WRAP_n_set_softstart_mode( int iMode, int iArraySize, int iRestartDelay );
// 59
void WRAP_n_set_softstart_level( unsigned short iIndex, unsigned short iLevel);
//// JT080128A /////////////////////////////////////////////
