// GSet.h
//
// Header file for the CGSet class
/////////////////////////////////////////////////
/*** 1.0036 DAN 9.6.98 GRAPHIC MEMORY REVISE ***/
/////////////////////////////////////////////////
#include <afx.h>
#include "GSymbol.h"

/*** 1.0046 DAN 10.7.98 GRAPHIC MEM SAVE ***/
#define CGSET_VERSION	100
/*******************************************/


class CGSet : public CObArray
{
// Attributes
private:
	CString		m_sHashKey;

	/*** 1.0046 DAN 10.7.98 GRAPHIC MEM SAVE ***/
	BOOL		m_bUsed;
	/*******************************************/

// Operators
public:

	// Constructor / Destructor
	CGSet (void);
	void Init(void);			// Initialize Data members

	~CGSet (void);
	void RemoveAll(void);		// Clear the array

	// Data Access
	CGSymbol* GetAt( int nIndex ) const;

	CString	GetHashKey(void);

	void SetHashKey(CString sHash);

	/*** 1.0046 DAN 10.7.98 GRAPHIC MEM SAVE ***/
	void WriteSet();
	BOOL ReadSet();

	void SetUsed(void);
	void ClearUsed(void);
	BOOL IsUsed(void);
	/*******************************************/

};