// GSymbolInfo.h
//
// Header file for the CGSymbolInfo class

/// 1.0244 DAN 9/7/99 GRAPHIC LIBRARY STATISTIC INFORMATION ///
////1.0244/////////////////////////////////////////////////////

#ifndef CGSYMBOLINFO
#define CGSYMBOLINFO

#include <afx.h>

#ifdef _ALIUSE
	#include "..\VGraph\lGHeader.h"
#else
	#include "lgheader.h"
#endif

class CGSymbolInfo : public CObject
{
// Attributes
public:

protected:
	long	m_lHeaderType;
	long	m_lHeaderSize;
	long	m_lNumCommands;
	long	m_lNumMoves;
	long	m_lNumLines;
	long	m_lNumArcs;


// Operators
public:
	CGSymbolInfo (void);

	void	Clear(void);

	long	GetHeaderType(void);
	long	GetHeaderSize(void);
	long	GetNumCommands(void);
	long	GetNumMoves(void);
	long	GetNumLines(void);
	long	GetNumArcs(void);

	void	AddMove(void);
	void	AddLine(void);
	void	AddArc(void);
	//// 1.0745 PAT 30.01.03 ALTERNATE IMPORTER ////
	void	AddStop(void);
	//// 1.0745 ////////////////////////////////////

	void	SetFromVecList(long *pVecList);

	long	GetTotalMem(void);

protected:
};

#endif
//GSYMBOLINFO
