// Mark.h 
//
// Header file for the CMark class
//////////////////////////////////////////
#pragma once


#ifndef CMARK
#define CMARK

#ifdef _ALIUSE
	#include "WSData\WSData.h"
	#include "GrEngine\GrEngine.h"
#else
	#include "WSData.h"
	#include "GrEngine.h"
#endif

#include "Display.h"

#ifdef _ALIUSE
#ifndef _PROLASEDLL
	#include "MarkDlg.h"
	#include "IOMonDlg.h"
#endif // _PROLASEDLL
#endif

#ifndef NPLPLUS
// ******************** PROLASE *********************
/*** 1.0135 PAT 14.01.99 AXIS CONTROL DIALOG ***/
#ifdef _ALIUSE
#ifndef _PROLASEDLL
#include "AxisDlg.h"
#endif // _PROLASEDLL
#endif // _ALIUSE
/*** 1.0135 ************************************/
// ******************** PROLASE *********************
#endif // NPLPLUS


#include <math.h>

/*** 1.0084 12.22.98 MOVE CFG TO WSDATA PRJ ***/
#ifdef _ALIUSE
	#include "WSData\Config.h"
#else
	#include "Config.h"
#endif
/****1.0084************************************/

/*** 1.0001 DAN 4/16/98 LIST FILE SUPPORT ***/
#include "ListFile.h"
/********************************************/

/*** 1.0070 2.9.98 FIXTURE MATERIAL MODELESS ***/
#ifdef _ALIUSE
	#include "WSData\Material.h"
	#include "WSData\Fixture.h"
#else
	#include "Material.h"
	#include "Fixture.h"
#endif
/****1.0070*************************************/

#ifdef _ALIUSE
	#ifndef _PROLASEDLL
	
	/// 1.0220 DAN 6/1/99 Data Monitor Dlg ///
	#include "DataMonD.h"
	////1.0220////////////////////////////////

	//// 1.1307 PAT 01.03.07 COM APPLETS ////
	#include "ProcMonDlg.h"
	/// 1.1307 /////////////////////////////
	
	#endif // _PROLASEDLL
#endif

//// 1.0461 PAT 02.11.00 PREF IN DLL - 2 ////
#include "Pref.h"
//// 1.0461 /////////////////////////////////


/// 1.0514 DAN 5/14/03 DAN PROLASE XP TOOLKIT ///
/*123
/// 1.0500 DAN 11/8/02 DAN PROLASE 2K ///
#ifdef _PROLASE2K
#include "\KernelDriver\include\windrvr.h"
#include "\KernelDriver\Samples\ALI_NT\gpioctl.h"
#endif //_PROLASE2K
////1.0500///////////////////////////////
*/
////1.0514///////////////////////////////////////

#define WV_RULERWIDTH 	31
// Vector type 
#define	CM_FIRSTSEG		0x01
#define	CM_POLYSEG		0x02
#define CM_LASTSEG		0x04

//// 1.0405 PAT 26.07.00 RTC2 GRAYSCALE ////
// Moved these definitions to Drivers.h

//	// Constant for accuracy (16/32 bit)
//	#define CM_ACC_OFFSET	65536
//	#define CM_ACC_SHIFT	16
//	// double scale factor
//	#define CM_SCALE_MULT	1
//	
//	// Vector Types
//	#define CD_MOVE		1
//	#define CD_LINE		2
//	#define CD_ARC		3
//	//// 1.0355 PAT 16.05.00 IMPLEMENT OPCODE 4 ////
//	#define CD_VELMOVE	4
//	//// 1.0355 ////////////////////////////////////
//	
//	// Vector Types for Engine
//	#define CE_MOVE		-3
//	#define CE_LINE		0
//	#define CE_ARC1		2
//	#define CE_ARC2		-2
//	#define CE_QUIT		-1
//	
//	#define CD_MAX_VECTOR_BLOCK	100
//// 1.0405 ////////////////////////////////

/*** 1.0197 PAT 06.06.99 MORE LM45 MODS ***/
// Deiver definitions moded to seperate file
#include "Drivers.h"
/*** 1.0197 *******************************/

/// 1.0270 DAN 12/20/99 SCANLAB RTC2 DRIVER ///
#include "RTC2Driver.h"
////1.0270/////////////////////////////////////


/// 1.0320 DAN 8/1/00 PLOTTER MARKER DRIVER ADDITIONS ///
#include "PlotterDrv.h"
////1.0320///////////////////////////////////////////////

//// 1.0445 PAT 11.10.00 RTC3 DRIVER ////
#include ".\RTC3Driver.h"
//// 1.0445 /////////////////////////////

//// 1.0835 PAT 02.03.04 RTC4 ////
#include ".\RTC4Driver.h"
//// 1.0835 //////////////////////

//// 1.1037 PAT 25.07.05 SCANALONE ////
#include ".\RTCSA4Driver.h"
//// 1.1037 ///////////////////////////


// Define Wobble Types
#define CI_WOBBLELINE	0
#define CI_WOBBLESQUARE	1
#define CI_WOBBLECIRCLE	2

#define CI_DENSITYHIGH	0
#define CI_DENSITYMEDIUM	1
#define CI_DENSITYLOW	2

//// 1.0405 PAT 26.07.00 RTC2 GRAYSCALE ////
// Moved these definitions to Drivers.h

// Drawing Engine Constants
/*
#define	CurX	0
#define XXStep	1
#define	XYStep	2
#define	CurY	3
#define	YYStep	4
#define	YXStep	5
#define XLast	6
#define	YLast	7
*/
#define lNextVector	8
/*
#define	TDev	0
#define	CmdType	1
#define XSteps	2
#define XDev	3
#define YSteps	4
#define YDev	5
#define VelX	6
#define	VelY	7
#define	VelXY	8
#define	Timer5	9
*/
#define iNextVector	10
//// 1.0405 ////////////////////////////////



#define DAC_CFG		0x91
#define DAC_INIT	0xFB

//// 1.0635 PAT 18.02.02 CW SIGNAL BIT /////
#define DDA_DIO_PORTC_IN0			0x01
#define DDA_DIO_PORTC_IN1			0x02
#define DDA_DIO_PORTC_IN2			0x04
#define DDA_DIO_PORTC_IN3			0x08
#define DDA_DIO_PORTC_OUT0			0x10
#define DDA_DIO_PORTC_OUT1			0x20
#define DDA_DIO_PORTC_OUT2			0x40
#define DDA_DIO_PORTC_OUT3			0x80
#define DDA_DIO_PORTC_INMASK		0x0f
#define DDA_DIO_PORTC_OUTMASK		0xf0
			
//// PS080204A DEDICATED START ////
#define DDA_DIO_ABORT				DDA_DIO_PORTC_IN0
#define DDA_DIO_START				DDA_DIO_PORTC_IN1
#define DDA_DIO_FAULT				DDA_DIO_PORTC_IN2
//// PS080204A ////////////////////

#define DDA_DIO_CWSIGNAL			DDA_DIO_PORTC_OUT0
#define DDA_DIO_LASERENABLE			DDA_DIO_PORTC_OUT1
//// PS080204A DEDICATED START ////
#define DDA_DIO_POINTERLASER		DDA_DIO_PORTC_OUT2
//// PS080603B SPI COMPLETION ////
#define DDA_DIO_LASERACTIVATE		DDA_DIO_PORTC_OUT3
//// PS080204A ////////////////////


// Port C Assignments
// Inputs
//		bit 0	Dedicated Abort	
//		bit 1	Dedicated Start
//		bit 2	General Laser Fault
//		bit 3
// Outputs
//		bit 4	CW Mode	/ Digital power latch
//		bit 5	Laser Enable
//		bit 6	Pointer Laser Enable
//		bit 7	Laser Activate (Global Enable on SPI)
//// 1.0635 ////////////////////////////////

//// 1.0917 PAT 03.08.04 LASER ENABLE SIGNAL ////
// Assigned LASERENABLE
//// 1.0917 /////////////////////////////////////


// Clock Ticks per Second
#define CM_TICKS	1193180

//// 1.0405 PAT 26.07.00 RTC2 GRAYSCALE ////
// Moved these definitions to Driver.h

//	/*** 1.0139 PAT 06.02.99 BITMAP MARKING ***/
//	const int	iNextVectorRaster = 13;
//	const short RAS_CMD_END = -1;
//	const short RAS_CMD_MOVE = 0;
//	const short RAS_CMD_INC	= 1;
//	const short RAS_CMD_DOT = 2;
//	const short RAS_CMD_LINE = 3;
//	/*** 1.0139 *******************************/
//	/*** 1.0147 PAT 17.02.99 BITMAP MARKING - GIDDYUP ***/
//	const short RAS_CMD_BACKUP	=	4; 
//	const short RAS_CMD_SPEEDUP =	5;
//	/*** 1.0147 *****************************************/
//// 1.0405 ////////////////////////////////

#ifdef _ALIUSE
/*** 1.0161 PAT 09.04.99 UMCLM45 ADD-IN PART 2 ***/
	#include ".\LM45\LM45.h"
#else
	#include "LM45.h"
#endif

//// 1.0417 PAT 16.08.00 LM50 ADDITIONS ////
#ifdef _ALIUSE
	#include ".\LM50\LM50.h"
#else
	#include "LM50.h"
#endif
//// 1.0417 ////////////////////////////////

// Manager Types
const int	MARK_MANAGER_TYPE_NONE			=	0;
const int	MARK_MANAGER_TYPE_UMCLM45		=	1;
//// 1.0417 PAT 16.08.00 LM50 ADDITIONS ////
const int	MARK_MANAGER_TYPE_UMCLM50		=	2;
//// 1.0417 ////////////////////////////////

// Manager file names
#define	MARK_MANAGER_NAME_UMCLM45			_T("LM45Manager.exe")
//// 1.0417 PAT 16.08.00 LM50 ADDITIONS ////
//// 1.0659 PAT 04.09.02 UMC CHANGES ////
//	#define	MARK_MANAGER_NAME_UMCLM50			"LM50Manager.exe"
#define	MARK_MANAGER_NAME_UMCLM50			_T("LM_Manager.exe")
//// 1.0659 /////////////////////////////
//// 1.0417 ////////////////////////////////

// Manager loading timeout
const int	MARK_MANAGER_TIMEOUT			=	30;  // seconds

/*** 1.0161 **************************************/

/*** 1.0167 PAT 14.04.99 ITEMIZED ABORT ***/
//	//// 1.0749 PAT 03.03.03 IMPORT PATCH ////
//	//// 1.0749 //////////////////////////////
//	// Abort conditions
//	const int	MARK_ABORT_NOABORT				=	0;
//	const int	MARK_ABORT_UNKNOWN				=	1;
//	const int	MARK_ABORT_AUTOMATION			=	90;
//	const int	MARK_ABORT_ESCAPE				=	100;
//	const int	MARK_ABORT_ABORTIO				=	101;
//	const int	MARK_ABORT_LISTFILE				=	102;
//	const int	MARK_ABORT_TIMEOUT				=	103;
//	//// 1.0423 PAT 29.08.00 ULS PLOTTER DRIVER PATCH ////
//	const int	MARK_ABORT_CANCEL				=	104;
//	//// 1.0423 //////////////////////////////////////////
//	//// 1.0571 PAT 02.07.01 NO ROLLOVER SERIAL NUMBER ////
//	const int	MARK_ABORT_SERNUMRESET			=	105;
//	//// 1.0571 ///////////////////////////////////////////
//	const int	MARK_ABORT_MANHARDWARE			=	300;
//	const int	MARK_ABORT_MANSTOP				=	301;
//	const int	MARK_ABORT_MANCANTCOMMAND		=	302;
//	//// 1.0463 PAT 12.11.00 BAD DATA ABORT ////
//	const int	MARK_ABORT_BADDATA				=	401;
//	//// 1.0463 ////////////////////////////////
#include "Mark_Constants.h"
//// 1.0749 //////////////////////////////

/*** 1.0167 *******************************/

/*** 1.0169 PAT 15.04.99 ISABORT FUNCTION ***/
const int	MARK_KEYDOWN_NONE				=	0;
const int	MARK_KEYDOWN_RETURN				=	1;
const int	MARK_KEYDOWN_ESCAPE				=	2;
/*** 1.0169 *********************************/



//// 1.0253 PAT 23.11.99 SYNRAD FLCC DRIVER ////
typedef int ( * lpFunc1)(int);
typedef double ( * lpFunc2)(int, double);


const int	SYNRAD_BITS_12					=	12;
const int	SYNRAD_BITS_16					=	16;
const int	SYNRAD_BITS_DEFAULT				=	SYNRAD_BITS_12;
const int	SYNRAD_BITS_ACK					=	0x0f;

const int	SYNRAD_LENS_NOLENS				=	0x00;
const int	SYNRAD_LENS_200_110x110			=	0x01;
const int	SYNRAD_LENS_200_134x165			=	0x02;
const int	SYNRAD_LENS_125					=	0x03;
const int	SYNRAD_LENS_370_241x297			=	0x04;
const int	SYNRAD_LENS_125_85x105			=	0x05;
const int	SYNRAD_LENS_80_33x41			=	0x06;
const int	SYNRAD_LENS_UNKNOWN				=	0x0f;

const int	SYNRAD_SETLENS_ACK				=	0x0f;

const int	SYNRAD_HEAD_UNKNOWN				=	0x00;
const int	SYNRAD_HEAD_DH					=	0x01;
const int	SYNRAD_HEAD_FENIX				=	0x02;
const int	SYNRAD_HEAD_FH					=	0x03;

const int	SYNRAD_HEADVER_0				=	0x00;

const BYTE	SYNRAD_QUERY_BITS				=	0x10;
const BYTE	SYNRAD_QUERY_LENS				=	0x20;
const BYTE	SYNRAD_QUERY_SETLENS			=	0x30;
const BYTE	SYNRAD_QUERY_HEAD				=	0x40;
const BYTE	SYNRAD_QUERY_HEADVER			=	0x50;

const BYTE	SYNRAD_DATA_MASK				=	0x0f;
const BYTE	SYNRAD_RxDAV					=	0x40;
//// 1.0253 ////////////////////////////////////

/// 1.0282 DAN 1/27/00 SINGLE ITEM MARK ///
const UINT	SIM_INVALID_TYPE				=	1000;
////1.0282/////////////////////////////////


//// 1.0379 PAT 07.06.00 GRAYSCALE ////
const UINT LOHO_C1L	= 0;
const UINT LOHO_C1H	= 1;
const UINT LOHO_C2L	= 2;
const UINT LOHO_C2H	= 3;
const UINT LOHO_C3L	= 4;
const UINT LOHO_C3H	= 5;
const UINT LOHO_C4L	= 6;
const UINT LOHO_C4H	= 7;
const UINT LOHO_C5L	= 8;
const UINT LOHO_C5H	= 9;

const UINT LOHO_SIZE = 10;
//// 1.0379 ///////////////////////////


//// 1.0431 PAT 08.09.00 LAZ FILE RECOVERY ////
#include ".\LayerTab.h"
//// 1.0431 ///////////////////////////////////

//// JT080211A SPI Signals ////
//	#include ".\WSData\LaserTypeConstants.h"
//// JT080211A ////

//// 1.0437 PAT 26.09.00 SOFT STARTSEG ////
//// 1.1325 PAT 08.06.07 UNTYPED FIXES ////
//	const MARK_STARTSEG_DONE	=	0x7fff;
//	const MARK_STARTSEG_MAX		=	0x7ffe;
//	const MARK_STARTSEG_STOP	=	0x0000;
const int MARK_STARTSEG_DONE	=	0x7fff;
const int MARK_STARTSEG_MAX		=	0x7ffe;
const int MARK_STARTSEG_STOP	=	0x0000;
//// 1.1325 ///////////////////////////////
//// 1.0437 ///////////////////////////////

//// 1.0541 PAT 16.05.01 SOFT FPS ////
//// 1.1325 PAT 08.06.07 UNTYPED FIXES ////
//	const MARK_FPS_DONE			=	0x7fff;
//	const MARK_FPS_MAX			=	0x7ffe;
//	const MARK_FPS_STOP			=	0x0000;
const int MARK_FPS_DONE			=	0x7fff;
const int MARK_FPS_MAX			=	0x7ffe;
const int MARK_FPS_STOP			=	0x0000;
//// 1.1325 ///////////////////////////////
//// 1.0541 //////////////////////////

//// 1.0641 PAT 14.03.02 VISUAL LAYER CONTROL IN DLL ////
const int	MARK_DLLLAYERMODE_NORMAL		=	0;
const int	MARK_DLLLAYERMODE_MODAL_ALL		=	1;
const int	MARK_DLLLAYERMODE_MODAL_SOME	=	2;
const int	MARK_DLLLAYERMODE_DEFAULT		=	MARK_DLLLAYERMODE_NORMAL;
//// 1.0641 /////////////////////////////////////////////


//// 1.0917 PAT 03.08.04 LASER ENABLE SIGNAL ////
#include ".\WSTimer.h"

#define MARK_LASERENABLEOFFTIMING_MUTEX		_T("LASERENABLEOFFTIMINGMUTEX")
//// 1.0917 /////////////////////////////////////
//// 1.1041 PAT 10.08.05 MULTITHREAD SERVER LASER ENABLE BUG ////
#define MARK_LASERENABLESUSPEND_MUTEX		_T("LASERENABLESUSPENDMUTEX")
//// 1.1041 /////////////////////////////////////////////////////

//// 1.0921 PAT 19.08.04 IPG LASER ////
const unsigned short MARK_IPGLASER_FREQ_MIN		=	20;
const unsigned short MARK_IPGLASER_FREQ_MAX		=	80;
const unsigned short MARK_IPGLASER_PER_MIN		=	13;
const unsigned short MARK_IPGLASER_PER_MAX		=	50;
//// 1.0921 ///////////////////////////

//// 1.1361 PAT 08.08.07 MARK MODE CONSTANTS ////
const int MARK_MODE_MANUAL						=	0;
const int MARK_MODE_AUTO						=	1;
const int MARK_MODE_LIGHTSHOW					=	2;
//// 1.1361 /////////////////////////////////////

//// JT080211A SPI Signals ////
const float SPI_SIMMER_SET_WAIT = 3; // ms
const double SPI_GLOBAL_ENABLE_DELAY = 10;	// ms
//// JT080211A ////

//// PS080303A RS232 DATA LOGGING ////
#define MARK_RS232_PORTLOG_FILE					_T("RS232PortLog.txt")
#define MARK_RS232_DATALOG_FILE					_T("RS232DataLog.txt")
//// PS080303A ///////////////////////


#ifndef _PROLASEDLL
	#define DllExport
#else
	#define DllExport   __declspec( dllexport )
#endif // _PROALSEDLL

class DllExport CMark
{
// Attribute
public:

	//// 1.0531 PAT 26.04.01 RTC ABORT ADDITIONS ////
	BOOL IsInternalAbort(void);
	//// 1.0531 /////////////////////////////////////

	/// 1.0270 DAN 12/20/99 SCANLAB RTC2 DRIVER ///
	CRTC2Driver	m_RTC2;
	////1.0270/////////////////////////////////////

	/// 1.0320 DAN 8/1/00 PLOTTER MARKER DRIVER ADDITIONS ///
	CPlotterDrv	m_PlotDrv;
	////1.0320///////////////////////////////////////////////

	//// 1.0445 PAT 11.10.00 RTC3 DRIVER ////
	CRTC3Driver
		m_RTC3;
	//// 1.0445 /////////////////////////////

	//// 1.0835 PAT 02.03.04 RTC4 ////
	CRTC4Driver
		m_RTC4;
	//// 1.0835 //////////////////////

	//// 1.1037 PAT 25.07.05 SCANALONE ////
	CRTCSA4Driver m_RTCSA4;
	//// 1.1037 ///////////////////////////

	/*** TESTING ***/
	FILE *fp1;
	int	m_iLayers,
		m_iItems;
	int	m_iOffTimeL;
	int m_iOffTimeH;

	long lPixelCount;
	long lPartCount;

	_TXCHAR chararray[4];
	short shortarray[3];
	long longarray[3];
	/***************/

	// Pointer to the number of parts to be marked
	int *m_piNumParts;
		/// 1.0206 DAN 4/18/99 Queue Start Signal Fix ///
	// Generic Mark Mode Pointer
	int	*m_piMarkMode;

	// QueueMarkDlg Mark Mode Pointer
	int *m_piQMarkMode;

	// Standard Mark Mode Pointer
	int *m_piStdMarkMode;
	////1.0206///////////////////////////////////////
	
	BOOL *m_pbQuickMark;
	// Pointer to the current part number
	CWnd *m_pPartCountWnd;
	// Pointer to the message line
	CWnd *m_pMessageWnd;
	// Pointer to the continous flag
	BOOL *m_pbContinuous;
	// 4/12/99 CW Mode
	BOOL m_bCWMode;
	// CWMode
	BOOL m_bAlign;
	// Pointer to the WinScribe Editor Data
	CWSData	*m_pData;

	/*** 1.0070 2.9.98 FIXTURE MATERIAL MODELESS ***/
	CMaterial	*m_pMaterial;
	CFixture	*m_pFixture;
	/****1.0070*************************************/
//	double long m_dTauMax;

#ifdef _ALIUSE
	#ifndef _PROLASEDLL
		/// 1.0220 DAN 6/1/99 Data Monitor Dlg ///
		CDataMonDlg	*m_pDataMonDlg;
		////1.0220////////////////////////////////
	#endif // _PROLASEDLL
#endif 

	// Configuration Data
	CConfig	*m_pConfig;
	// Material Data

	/*** 1.0070 2.9.98 FIXTURE MATERIAL MODELESS ***/

	///	// Will be loaded from the fixture file
	///	UINT	m_nArrayMaxX,
	///			m_nArrayMaxY;

	///	long m_lDeltaX,
	///		 m_lDeltaY;

	///	long m_lOffsetX,
	///		 m_lOffsetY;

	///	/*** 1.0010 DAN 4/21/98 FIXTURE FILE ANGLE MARKING ***/
	///	long double m_ldOffsetAngle;
	///	/*****************************************************/
	int XCurrent, YCurrent, ZCurrent, ACurrent;
	
	///	long m_lFixFocusAdjust;
	/****1.0070*************************************/

	double m_dOldFocus;


	// Holds the size of the tray
	int	m_iTraySize;

	/*** 1.0106 1.4.99 TABLE STEP & REPEAT ***/
	// Holds the size of the table (number of trays in table)
	int m_iTableSize;

	// Holds the number of parts in the table
	int m_iTableParts;

	long m_lTableStepPosX,
		 m_lTableStepPosY;
	/****1.0106*******************************/



	/*** DAN QSHEET ***/
	/*** 1.0106 1.4.99 TABLE STEP & REPEAT ***/
	// This must be replaced with a table start pos
	// and a tray start pos
	//int m_iStartPos;
	int m_iTableStartPos,
		m_iTrayStartPos;

    lpFunc1 m_LaserAccelCurve,
			m_SpotDelay;
    lpFunc2 m_Diagnostic;

	// The overall item start position
	int m_iItemStartPos;
	/****1.0106*******************************/

	UINT m_bQueue;

	UINT m_bMoreInQ;

	UINT m_bSkipPreIO;
	UINT m_bSkipPostIO;

	// Pointer to the Queue Dlg
	CWnd	*m_pQueueSheet;
	/******************/

	/*** 1.0001 DAN 4/16/98 LIST FILE SUPPORT ***/
	CListFiles m_ListFiles;
	/********************************************/

#ifdef _ALIUSE
	#ifndef _PROLASEDLL
		// Pointer to the Mark Dlg
		CMarkDlg	*m_pMarkDlg;

		// Pointer to the Monitor IO
		CIOMonDlg	*m_pIOMonDlg;
	#endif // _PROLASEDLL
#endif
	BOOL	m_bMonitorOn;


#ifndef NPLPLUS
	// ******************** PROLASE PLUS ****************
	/*** 1.0135 PAT 14.01.99 AXIS CONTROL DIALOG ***/
	// Pointer to the Axis Dlg
#ifdef _ALIUSE
#ifndef _PROLASEDLL
	CAxisDlg
		*m_pAxisDlg;
#endif // _PROLASEDLL
#endif // _ALIUSE
	/*** 1.0135 ************************************/
	// ******************** PROLASE PLUS ****************
#endif // NPLPLUS


	
	/*** 1.0070 2.9.98 FIXTURE MATERIAL MODELESS ***/
	///	These are no longer used
	/// Use the Material pointer instead
	///
	///	double	m_adPower[7];
	///	double	m_adSpeed[7];
	///	double	m_adFreq[7];
	/****1.0070*************************************/

	short	m_iVelCounts;
	short	m_iSimpleVelCounts;
	short	m_iRasterVelCounts;
	long double	m_ldRasterResolution;

	/*** 1.0032 DAN 22.5.98 LASERIZE FEATURE ***/
	BOOL	m_bLaserize;
	/*******************************************/

	/*** 1.0043 PAT 14.05.98 CONFIRMLINKS IN MARK ***/
	int
		m_iCurLayer,
		m_iCurItem;
	/*********************************************/

	/*** 1.0129 PAT 21.12.98 NEW BITMAPS ***/
	BOOL
		m_bIsRasterObject;
	void DrawSymbolRaster(long double, long double);
	HANDLE
		m_hMarkDIB;
	int
		m_iBitsOffset;
	LPBITMAPINFOHEADER
		m_lpBIH;
	void NewMarkDIB(void);
	void FreeMarkDIB(void);
	/*** 1.0165 PAT 21.04.99 FIXTURE ARRAY WITH RASTER ***/
//	void CalcOutputRes(long *, long *);
	void CalcOutputRes(long *, long *, long double);
	/*** 1.0165 ******************************************/
	int
		m_iRasterStepX,
		m_iRasterStepY,
		m_iBitmapMagFactor,
		m_iBitmapPixelsPerRaster;
	BYTE
		*m_pRaster;
	/*** 1.0139 PAT 06.02.99 BITMAP MARKING ***/
	//// 1.0531 PAT 26.04.01 RTC ABORT ADDITIONS ////
	//	void MoveGalvosRaster(void);
	BOOL MoveGalvosRaster(void);
	//// 1.0531 /////////////////////////////////////
	void SimulateVectorsRaster(void);
	BOOL CheckPixel(int);
	void SetSimulatePixelRaster(long, long, BOOL);
	/*** 1.0139 *******************************/

	int
		m_iRasterWidth,
		m_iRasterHeight,
		m_iRasterW,
		m_iRasterH,
		m_iRasterX,
		m_iRasterY;
	void CalcRoughOutputRes(long *, long *);
	/*** 1.0129 ****************************/
	/*** 1.0147 PAT 17.02.99 BITMAP MARKING - GIDDYUP ***/
	UINT
		m_nRasterSpeedUp;
	int
		m_iVelCountsRas;
	void CalculateVelocitiesRaster(double);
	/*** 1.0147 *****************************************/
	/*** 1.0149 PAT 17.02.99 BITMAP CLEANUP ***/
	void EnableAllCountersRaster(void);
	void LoadSingleCounterRaster(UINT,int, int);
	/*** 1.0149 *******************************/
	/*** 1.0161 PAT 09.04.99 UMCLM45 ADD-IN PART 2 ***/
	BOOL StartManager(int);
	/*** 1.0161 **************************************/

	CString SendEXECommand(CString, BOOL);
	void SetIdlePower(void);
#ifndef NPLPLUS
	// *** PROLASE PLUS ***
	void TableMoveToPosition(int, int, int, int);
	long CalcXActualTable(long);
	long CalcYActualTable(long);
	void FigureXTableActual(void);
	void FigureYTableActual(void);
	CString GetAxisStatus(CString);
	CString SendLPTCommand(CString);
	CString SendOtherCommand(CString, BOOL);
	CString GetOtherStatus(void);
	void MoveTable(long, long, long, float);
	void InitTable(void);
	long m_lXTableCommand;
	long m_lYTableCommand;
	long m_lXOldTable;
	long m_lYOldTable;
	BOOL m_bFirstSimBox;
	long m_lZTableCommand;
	float m_fATableCommand;
	long m_lXTableLayerPos;
	long m_lYTableLayerPos;
	float m_fATableLayerPos;
	int m_iCylinderMode;
	long m_lLayerRadius;
	long m_lXTableFixPos;
	long m_lYTableFixPos;
	int m_iTableTimer;
	long m_lXTableCenterCorrection;
	long m_lYTableCenterCorrection;
	long m_lXTableActual;
	long m_lYTableActual;
 	// *** PROLASE PLUS ***
#endif // NPLPLUS

private:
	BOOL m_bGrafSwitch;
	BOOL	m_bFirstLayer;
	BOOL	m_bLayerActive1;
	// Simualte mode flag
	UINT	m_bSimulate;
	/// 1.0356 DAN 2/07/01 MARK TIME ESTIMATOR ///
	BOOL	m_bNoDrawSim;
	////1.0356////////////////////////////////////

	// Port Signal
	BYTE	m_bPortSignal;
	BOOL	m_bGo;
	// Abort signal
	/*** 1.0167 PAT 14.04.99 ITEMIZED ABORT ***/
	//BYTE	m_bAbort;
///djb
public:
	int
		m_iAbort;
	BOOL
		m_bPause;
protected:
///djb
	/*** 1.0167 *******************************/

	// Wobble Width arrays
	short	m_WobbleX[32];
	short	m_WobbleY[32];


	BYTE m_byPageAlign[7764];

	// Distortion Correction Arrays
	short	m_DisCorrA[32768];
	short	m_DisCorrB[32768];
	int		m_iWobbleIndex;

	int		m_iCO2Width;
	int		m_iPulsePeriod;
	int		m_iQSwitchWidth;
	int		m_iStartSeg;
	int		m_iFPS;



	/**** Mark 21 KC ****/
	int	m_iCurX;	
	int m_iXXStep;	
	int	m_iXYStep;	
	int	m_iCurY;	
	int	m_iYYStep;	
	int	m_iYXStep;
	int m_iXLast;	
	int	m_iYLast;	

	int	m_iTDev;	
	int	m_iCmdType;
	int m_iXSteps;	
	int m_iXDev;	
	int m_iYSteps;	
	int m_iYDev;	
	int m_iVelX;	
	int	m_iVelY;	
	int	m_iVelXY;	
	int	m_iTimer5;
	
	
	/*** 1.0024 DAN 19.5.98 MIRROR MODE IN MARK ***/
	CItem *m_pCurrItem;
	/**********************************************/

	/*** 1.0036 DAN 9.6.98 GRAPHIC MEMORY REVISE ***/
	long *m_pFontFill;
	/***********************************************/

	/*** 1.0082 12.22.98 ITEM DELAY FIX ***/
	// Timers and Delays
	
	short	m_iResPos,
			m_iAngleTC,
			m_iDistanceTC,
			m_iEndSegTC,
			m_iPolyTC,
			m_iPosTC,
			m_iStartSegTC;

	// Sets the timers and delays either to the
	// item or to the config values
	BOOL SetTimerValues (CItem *pItem);
	/****1.0082****************************/



public:
	// Card Address Information
unsigned short	m_nPIOInAddress,
			m_nPIOOutAddress,
			m_nPIOCAddress,
			m_nPIOCmdAddress,
			m_nCTRAddress,
			m_nXDACAddress,
			m_nYDACAddress,
			m_nPowerAddress,
			m_nFreqAddress,
			m_nFocusAddress;


	/*** 1.0131 PAT 14.01.99 GRENGINE RETURNS CENTER OF CHARACTER ***/
	long
		m_lCenXAbs,
		m_lCenYAbs;
	/*** 1.0131 *****************************************************/
	// Extents of Symbol
	long
		m_lX1,
		m_lY1,
		m_lX2,
		m_lY2,
		m_lX3,
		m_lY3,
		m_lX4,
		m_lY4;

	/// 1.0282 DAN 1/27/00 SINGLE ITEM MARK ///
	// Single Item Marking Flag
	BOOL	m_bMarkSingleItem;
	////1.0282/////////////////////////////////

// Operators
public:
	// Construction / Destruction
	CMark(void);
	~CMark(void);

	/*** DAN QSHEET ***/
	void ClearFixtureData(void);
	/******************/



	// Card initialization
	//// 1.0263 PAT 22.12.99 RTC2 DRIVER DLG ////
	//void InitCards (int iDriver);
	CString ParseEmbeddedCmds(CString m_RawText, CItem *pItem);
	UINT InitCards (int iDriver);
	void GetDriverAddresses(int iDriver, BOOL PCIDDA, BOOL PCITimer);
	UINT InitDriver (int iDriver);
	//// PS090722B NON-INIT OF TABLES ////
	BOOL TestValidNumber(CString Number);
	//// PS090722B ///////////////////////
	void InitOtherCards(void);
	void DoDriverInit(void);
	//// 1.0263 /////////////////////////////////

	// Abort routine
	void AbortRun(void);

	// Run routine
	/*** DAN QSHEET ***/
	BOOL Run(UINT bQueue = FALSE, int iNumParts = -1, int iStartPos = 0, UINT bMoreInQ = FALSE);

	/*** 1.0086 12.25.98 QUEUE FIXTURE DATA FIX ***/
	void SetMaterialFile (CMaterial *pMaterial);
	void SetFixtureFile (CFixture *pFixture);
	/****1.0086************************************/
	/******************/
//	void Run(void);


	void CreateCompatibleSimulate(CDC *pDC, int iScreenX, int iScreenY, long lFieldX, long lFieldY, long lXPos, long lYPos, CDisplay *pDisplay);
	
	// Marking routine
	void MarkRun(int iNumberParts);

	void InitSimulate (CDC *pDC);
	void InitMark(CDC *pDC);

	void EndSimulate (void);


	/// 1.0228 DAN 7/23/99 QUEUE - REMOVAL OF PRELOADING ///
	/*** DAN JAN 22 ***/
	/*** DAN MAR 2 QSHEET ***/
	void PromptVarText (CItem *pItem, CString sFilename = _T(""), CString *psResp = NULL);
	/******************/
	/******************/
	////1.0228//////////////////////////////////////////////


	void UpdateInfoBox (UINT nID, int iNumber);
	void UpdateInfoBox (UINT nID, long lNumber);
	void UpdateInfoBox (UINT nID, CString sText);
	UINT GetInfoBoxData(UINT nID, int *piNumber);
	UINT GetInfoBoxData(UINT nID, CString *sText);
	void SetFPSLogic(void);

	// Checks a CString to see if it is an integer
	UINT IsInteger (CString *pString);

	UINT GetStartSignal (BYTE byStartMask, BYTE byStartData,CLayer *pLayer);
	void SendSignal(UINT nOffset, BYTE bMask, BYTE bData);
	void Init9513Chip (void);
	void LoadAllCounters (int UserFreq, int QSwitchWidth, int PowerDacValue, int StartSegTC);
	void LoadSingleCounter(UINT CounterNumber, int PulsePeriod, int PulseWidth);
	//// 1.0541 PAT 16.05.01 SOFT FPS ////
	void LoadSingleCounterSoft(UINT CounterNumber, int PulsePeriod, int PulseWidth);
	//// 1.0541 //////////////////////////
	void LaserOn (void);
	void LaserOff (void);
	void TickleOn (int TicklePeriod, int TickleWidth);
	void TickleOff (void);
	void UpdateDACMon(void);
	void SwapXY(void);

 /*** PAT 1 FEB 1998 ***/
	//// 1.0599 PAT 17.09.01 LM45/50 CALIBRATE FIX ////
	//	void CalLaserOn(int power, int freqdac, float freq, int focus);
	void CalLaserOn(float fPower, int iPowerDAC, float fFreq, int iFreqDAC, float fFocus, int iFocusDAC);
	//// 1.0599 ///////////////////////////////////////
	void CalLaserOff(void);
	void EnableAllCounters(void);
	
/***/
	void OutputFocus(void);
	/*** 1.0127 PAT 09.12.98 UMC LM45 ADD-IN ***/
	// Just adding arguments for the UMC driver
	//void OutputPowerFreq(void);
	void OutputPowerFreq(double, double);
	/*** 1.0127 ********************************/
	void CenterGalvos (void);




private:
	// Marking routines

	// Draws the item to either the screen or to the
	// laser, depending if simulate is running or not
	void LaseItem(CItem *pItem, long lXPos, long lYPos);

	/// 1.0242 DAN 9/2/99 NEW HATCHFILL ADDITION FIRST REVISION ///
	// Draws the symbol to either the screen or to the
	// laser, depending if simulate is running or not
	void LaseSymbol(CItem *pItem, long *Vectors, long lXAbs, long lYAbs, long double ldRot, long double ldItl, long double ldScale, long double ldXComp, _TXCHAR cChar, long double ldHatchAngle);
	////1.0242/////////////////////////////////////////////////////


	// Calculates the velocities
	void CalculateVelocities (double dSpeed, long double ldXComp);
	
	void CalculateLaserParms(double dPower, double dFreq, int iQWidth);

	// Marks a single item with all variable mark factors
	// including speed/power/frequency/wobble/passes
	void MarkItem(CItem *pItem, long lXPos, long lYPos);

	// Marks a single layer, adding X/Y offset (fixture file)
	// Rotation (fixture file).  Checks each item for conditional
	// mark, if OK - marks the item.  Increments variable text info.
	void MarkLayer(CLayer *pLayer, long lXPos, long lYPos);

	// Performs Layer Pre-I/O
	UINT LayerPreIO(CLayer *pLayer);

	// Performs Layer Post-I/O
	void LayerPostIO(CLayer *pLayer);

	// Performs Layer Pre-I/O, marks the layer XY time w/
	// increments in position between the layers (fixture file)
	// Then performs Layer Post-I/O
	void ProcessLayer(CLayer *pLayer, int iArrayParts, int iLayer);

	/*** 1.0106 1.4.99 TABLE STEP & REPEAT ***/
	void MarkTable(int iTableParts);
	void SetTableSaR(UINT nTableArrayX, UINT nTableArrayY);
	/****1.0106*******************************/

	// Goes through each layer and processes it for N parts
	void MarkTray(int iArrayParts);

	// Calls MarkTray untill all items have been marked
	void MarkRun(void);
	void BuildWobbleTable(int Amplitude, int WobbleType, int WobbleDensity);


	void DrawSymbol (long *Vectors, long lXAbs, long lYAbs, long double ldRot, long double ldItl, long double ldScale, long double ldXComp);

	void AddVector (int LVec, int IVec, long lType,
				    long lX, long lY, long lI, long lJ,
				    long double ldXCur, long double ldYCur,
				    long double ldDeltaX, long double ldDeltaY);


// added by keith



	void AddSimpleVector (int LVec, int IVec, long lType,
				    long lX, long lY, long lI, long lJ,
				    long double ldXCur, long double ldYCur,
				    long double ldDeltaX, long double ldDeltaY);
					




	void SimulateVectors (long *lVecInfo, short *iVecInfo);


	void CreatePens(CDC *pDC);


	//// 1.0531 PAT 26.04.01 RTC ABORT ADDITIONS ////
	//	void MoveGalvos(void);
	BOOL MoveGalvos(void);
	//// 1.0531 /////////////////////////////////////
	void UpdateIOMonitor(void);

	/// 1.0220 DAN 6/1/99 Data Monitor Dlg ///
	void UpdateDataMon(UINT);
	void UpdateDataMon(UINT,CItem *pItem);
	////1.0220////////////////////////////////


	/*** 1.0052 8.8.98 SIMULATE - GALVO FIX ***/
	int ScreenX (long lX);
	int ScreenY (long lY);

	void SetSimulatePixel(long lXPos, long lYPos);
	/******************************************/



/*
	int	ConvX(long lX);
	int ConvY(long lY);
*/

// Attributes

	long double	m_ldStepRes;
//	short		m_iStepRes;
	long double m_ldSimpleStepRes;

	long double	m_ldXStep,
				m_ldYStep;

	long double m_ldScale;

	//int	m_iZoom;

	long double m_ldRotSin,
				m_ldRotCos,
				m_ldItlSin,
				m_ldItlCos;

	long double	m_ldXXStep,
				m_ldXYStep,
				m_ldYXStep,
				m_ldYYStep;

	long	m_lVecInfo[(CD_MAX_VECTOR_BLOCK+1) * lNextVector];
	short	m_siVecInfo[(CD_MAX_VECTOR_BLOCK+1) * iNextVector];

	UINT	m_bFirstSeg,
			m_bLastSeg;

	CDC	*m_pCurrDC;

	COLORREF	m_DrawingColor;

	CPen	*m_pTempPen;
	CBrush	*m_pTempBrush;
	CBitmap	*m_pTempBitmap;
	int m_iOldPower;
	int	m_iPower;
	int m_iFreq;
	int m_iFocus;

	/*** 1.0127 PAT 09.12.98 UMC LM45 ADD-IN ***/
	double
		m_dOldPower,
		m_dOldFreq;
	short
		m_siGatePort;
	/*** 1.0127 ********************************/

	/*** 1.0139 PAT 06.02.99 BITMAP MARKING ***/
	// These arrays are used to convey data to the assembly routines
	BYTE
		*m_pbyRasterLine;
	short
		m_siRasInfo[(CD_MAX_VECTOR_BLOCK + 1) * iNextVectorRaster];
	int
		m_iRasTDev,
		m_iRasCmdType,
		m_iRasXSteps,
		m_iRasXDev,
		m_iRasYSteps,
		m_iRasYDev,
		m_iRasVelX,
		m_iRasVelY,
		m_iRasVelXY,
		m_iRasTimer5,
		m_iRasNByte,
		m_iRasNBit,
		m_iBabyStepSize;
		// Remaining array spots are extras for debugging

	void AddVectorRaster(int, int, int, int, int);
	void GetRasterLimits(int *, int *, BYTE *, int);
	/*** 1.0139 *******************************/

public:
	// Pointer to the graphic engine
	CGREngine *m_pDaVinci;

	// Pointer to the display
	CDisplay *m_pDisplay;

	//RunInfoDlg	*m_pRunInfoDlg;

	/*** 1.0080 12.9.98 Distortion Corr On/Off ***/
	void BuildDisCorr(float acorr, float bcorr, BOOL bDisCorr);
	/****1.0080***********************************/
	
	/*** 1.0161 PAT 09.04.99 UMCLM45 ADD-IN PART 2 ***/
	CLM45 m_LM45;
	/*** 1.0161 **************************************/
	//// 1.0417 PAT 16.08.00 LM50 ADDITIONS ////
	CLM50 m_LM50;
	//// 1.0417 ////////////////////////////////

	/*** 1.0169 PAT 15.04.99 ISABORT FUNCTION ***/
	BOOL IsAbort(int *pType = NULL);
	CString GetAbortText(void);
	int ClearKeyDownMessages(void);
	BOOL ManagerIsAbort(int *pType = NULL);
	/*** 1.0197 PAT 06.06.99 MORE LM45 MODS ***/
	// Changed function
	//BOOL ManagerIsStartSignal(void);
	BOOL ManagerIsStartSignal(BYTE *, BOOL *);
	/*** 1.0197 *******************************/
	void ManagerSendSignal(UINT, BYTE, BYTE);
	/*** 1.0169 *********************************/
	/*** 1.0179 PAT 02.05.99 MANAGER SET ABORT ***/
	void ManagerSetAbort(BOOL);
	/*** 1.0179 **********************************/
	/*** 1.0195 PAT 04.06.99 AFTER CALI CHANGES ***/
	void ManagerSetReady(BOOL);
	void ManagerSetLaserOn(BOOL);
	void ManagerSetMarking(BOOL);
	void ManagerSetDone(BOOL);
	void ManagerSetCounterUp(BOOL);
	BYTE ManagerReadSignal(BYTE);
	/*** 1.0195 ***********************************/
	/*** 1.0197 PAT 06.06.99 MORE LM45 MODS ***/
	void ManagerSetReadyLED(BOOL);
	/*** 1.0197 *******************************/
	/*** 1.0213 PAT 09.07.99 ADD IN FOR UMCLM45 UPDATE ***/
	void ManagerSetMarkingActive(BOOL);
	/*** 1.0213 ******************************************/

	
	/*** 1.0197 PAT 06.06.99 MORE LM45 MODS ***/
	BOOL
		m_bAwaitingStartSignal;
	/*** 1.0197 *******************************/

	/*** 1.0199 PAT 11.06.99 SETUP FILE FIX ***/
	BOOL
		m_bSettingUp;
	/*** 1.0199 *******************************/

	//// 1.0253 PAT 23.11.99 SYNRAD FLCC DRIVER ////
	int
		m_iSynradBitDepth,
		m_iSynradLens,
		m_iSynradHeadType,
		m_iSynradHeadVersion;
	BOOL SynradEnable16Bit(BOOL);
	int SynradGetLens(void);
	int SynradSetLens(int iLens);
	int SynradGetHeadType(void);
	int SynradGetHeadVersion(void);
	void InitSynradCard(void);
	//// 1.0253 ////////////////////////////////////

private:



	// Conversion Data
	int m_iRulerWidth;

	int m_iScreenX,
		m_iScreenY;

	long m_lFieldX,
		 m_lFieldY;

	long m_lXPos,
		 m_lYPos;

	long double m_ldConvFactor;
	long double m_ldGalvoFactor;
	long double m_ldScreenFactor;

	long	m_lXGalvoOffset,
			m_lYGalvoOffset;

	long	m_lXGalvoPos,
			m_lYGalvoPos;

	float	m_fACorr,
			m_fBCorr;

	/*** 1.0092 10.11.98 MIRROR FIXTURE ERROR ***/
	long	m_lXFixPos,
			m_lYFixPos;
	/****1.0092**********************************/


/// 1.0514 DAN 5/14/03 DAN PROLASE XP TOOLKIT ///
	/// 1.0500 DAN 11/8/02 DAN PROLASE 2K ///
//#ifdef _PROLASE2K
//	VECTOR_DATA	m_VectorData;
	void	*m_pVectorData;

	int	m_iRasterLineSize;

	BYTE	*m_pRasterData;
	long	m_iRasterTotalSize;
	BOOL	m_bRasterDataSet;

	// Raster 8 data
	long m_iWORDRasterLineSize;
	long m_iRasterLOHOSize;

	BYTE	*m_pRaster8Data;
	long	m_iRaster8TotalSize;
	BOOL	m_bRaster8DataSet;

//#endif
	////1.0500///////////////////////////////
////1.0514///////////////////////////////////////


/// 1.0228 DAN 7/23/99 QUEUE - REMOVAL OF PRELOADING ///
	// Members and operators for keeping track of the 
	// number of parts that are completely marked in a run

public:
	// Reset the number of finished parts to zero
	void ClearFinishedPartCount(void);
	// Increment the finished part counter
	void IncrementFinishedPartCount(UINT nParts);
	// Return the current number of finished parts
	UINT GetFinishedPartCount(void);

protected:
	// Finished part counter
	UINT m_nFinishedPartCount;
	// Flag to indicate when the last layer is being marked
	BOOL m_bMarkingLastLayer;
////1.0228//////////////////////////////////////////////


	// DLL Functionality
public:
	// Attributes
	// The Graphics Engine
	CGREngine	m_DaVinci;

	// The Config class
	CConfig		m_Config;

	BOOL m_bSimpleMarkRun;

	// Operators
	void CreateMarkEngine ();
	void CreateMarkEngine(LPCTSTR sSerial);
#ifdef _AUTOMATE
	void SetAutomationPointers();
#endif
	BOOL CheckCreateSetup(LPCTSTR sSerial);
	CString OnHash(LPCTSTR sSerial);
	void PrepMark();
	void SimpleMarkRun (CWSData *pData, int iNumberParts);
	void SimpleMarkRun(int iNumberParts);
	CConfig *GetConfig(void);

	/// 1.0304 DAN 5/17/00 DLL GLOBAL_DATA FILE SEARCH ///
	void SetRootDir(void);
	void SetRootDir(LPCTSTR sRootDir);
	////1.0304////////////////////////////////////////////


public:
	/// 1.0282 DAN 1/27/00 SINGLE ITEM MARK ///
	// Marks a single item, independent of a WSData file
	UINT MarkSingleItem(CItem *pItem, CMaterial *pMaterial, CFixture *pFixture);
	////1.0282/////////////////////////////////


/// 1.0284 DAN 2/9/00 END OF LIST FILE BUG ///
protected:
	BOOL	m_bListFileError;
////1.0284////////////////////////////////////


//// 1.0283 PAT 05.02.00 SPOT CODE ////
private:
	void LaseSpot(void);
//// 1.0283 ///////////////////////////


//// 1.0361 PAT 17.05.00 DRILL CONVENIENCE FUNCTIONS ////
public:
	UINT MarkDrillSpot(long lX, long lY, UINT nRepRate, UINT nPasses);
	//// 1.0605 PAT 27.09.01 DRILL SPOT 2 ////
	UINT MarkDrillSpot2(long lX, long lY, UINT nDuration);
	//// 1.0605 //////////////////////////////
	UINT MarkDrillLine(long lX1, long lY1, long lX2, long lY2, long lVel, UINT nRepRate, UINT nPasses);
	UINT MarkDrillCircle(long lCenX, long lCenY, long lX, long lY, long lVel, UINT nRepRate, UINT nPasses);
	//// 1.0469 PAT 16.11.00 DRILL DELTA ANGLE ////
	//	UINT MarkDrillTrepan(long lX, long lY, long lAngle, long lDiameter, long lVel, UINT nRepRate, UINT nPasses);
	//	UINT MarkDrillSpiral(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses);
	//	UINT MarkDrillSpiral2(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses);
	//// 1.0509 PAT 27.02.01 TREPAN MODE ////
	//	UINT MarkDrillTrepan(long lX, long lY, long lAngle, long lDiameter, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0);
	UINT MarkDrillTrepan(long lX, long lY, long lAngle, long lDiameter, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0, UINT nMode = CDRILL_TREPANMODE_MIX);
	//// 1.0509 /////////////////////////////
	//// 1.0505 PAT 23.02.01 DRILL SPIRAL PATCH ////
	//	UINT MarkDrillSpiral(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0);
	//	UINT MarkDrillSpiral2(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0);
	UINT MarkDrillSpiral(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0, BOOL bRev = FALSE);
	UINT MarkDrillSpiral2(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0, BOOL bRev = FALSE);
	//// 1.0505 ////////////////////////////////////
	//// 1.0469 ///////////////////////////////////
	UINT MarkDrillMove(long lX1, long lY1, long lX2, long lY2, long lVel, UINT nPasses);

//// 1.0361 /////////////////////////////////////////////

	//// 1.0625 PAT 07.01.02 DRILL RASTER ////
	UINT MarkDrillRaster(long lX, long lY, DrillRasterData *pRasterData);
	//// 1.0625 //////////////////////////////


//// 1.0375 PAT 01.06.00 RTC2 FLY ADD-ON ////
public:
	double m_dCO2TickleFraction;
//// 1.0375 /////////////////////////////////

//// 1.0379 PAT 07.06.00 GRAYSCALE ////
public:
	double
		m_dFreq;
	WORD
		*m_pWORDRasterLine;
	int
		m_iLOHO_C1L,
		m_iLOHO_C1H,
		m_iLOHO_C2L,
		m_iLOHO_C2H,
		m_iLOHO_C3L,
		m_iLOHO_C3H,
		m_iLOHO_C4L,
		m_iLOHO_C4H,
		m_iLOHO_C5L,
		m_iLOHO_C5H,
		m_iLOHO_Size;

	WORD
		*m_apwRasterLOHO[LOHO_SIZE];
	UINT
		m_nRasterSpeedUpPixels,
		m_nRasterSpeedUpBytes;
	UINT
		m_nRasterBitness;

	void DrawSymbolRaster8(long double, long double);
	void AddVectorRaster8(int, int, int, int, int);
	//// 1.0531 PAT 26.04.01 RTC ABORT ADDITIONS ////
	//	void MoveGalvosRaster8(void);
	BOOL MoveGalvosRaster8(void);
	//// 1.0531 /////////////////////////////////////
	void SimulateVectorsRaster8(void);
	void SetSimulatePixelRaster8(long, long, BOOL);
	int CheckPixel8(int iXStep);
	void GetRasterLimits8(int *pStart, int *pStop, BYTE *pRaster, int iWdthBytes);
	void PopulatePowerRaster8(BYTE *pbyData, WORD *pDACPW, WORD *apwLOHO[], int iBits, int iPixels);
	BYTE GetCalibratedByte8(BYTE byFrac);
	BYTE GetCalibratedPW8(BYTE byFrac);
	BYTE GetCalibratedDAC8(BYTE byFrac);
	void SetLOHO(WORD *apwLOHO[], int iOffset, BYTE byFrac);
//// 1.0379 ///////////////////////////

//// 1.0431 PAT 08.09.00 LAZ FILE RECOVERY ////
public:
	BOOL 
		m_bLayerCtrlVisible;
	CLayerTab 
		*m_pLayerTab;
	void SaveWSFile(void);
//// 1.0431 ///////////////////////////////////

//// 1.0437 PAT 26.09.00 SOFT STARTSEG ////
public:
	WORD
		m_wStartSegCounts;

	void SetStartSegCounts(BOOL bEnable = FALSE);
	BOOL SoftStartSeg(void);

//// 1.0437 ///////////////////////////////

//// 1.0541 PAT 16.05.01 SOFT FPS ////
public:

	WORD
		m_wFPSCounts;

	void SetFPSCounts(BOOL bEnable = FALSE);
	BOOL SoftFPS(void);
	BOOL IsSoftFPS(void);
	BOOL IsSoftStartSeg(void);

	UINT SetYAGMode(void);

//// 1.0541 //////////////////////////


//// 1.0443 PAT 04.10.00 GRAYSCALE SPEEDUP SHIFT FIX ////
protected:
	void SetRasterSpeedUpPixels(UINT iPixels);
//// 1.0443 /////////////////////////////////////////////

//// 1.0461 PAT 02.11.00 PREF IN DLL - 2 ////
protected:
	CPref
		m_Pref;
	CPref *GetPref(void);
//// 1.0461 /////////////////////////////////

//// 1.0469 PAT 16.11.00 DRILL DELTA ANGLE ////
public:
	int
		m_iPass;
//// 1.0469 ///////////////////////////////////

//// 1.0471 PAT 21.11.00 MARK INIT FUNCTION ////
public:
	void Init();
	void SetAbortInput(unsigned char uInput);
	void SetAbortInput(BOOL bOn);
	void EnableAbortInput(BOOL bOn);

protected:
	unsigned char
		m_uAbortInput,
		m_uAbortInputMask;
//// 1.0471 ////////////////////////////////////

/// 1.0350 DAN 1/4/01 DLL OBJECT ALLOCATION - DEALLOCATION ROUTINES //
//// 1.0727 PAT 22.11.02 DLL FIX ////
public:
//// 1.0727 /////////////////////////
	static CMark *NewMark(void);
	static void DeleteMark(CMark *pMark);
////1.0350////////////////////////////////////////////////////////////

	//// 1.0507 PAT 26.02.01 SIMPLE TEXT FUNCTION ////
public:
	UINT MarkSimpleText(long lX, long lY, long lHeight, long lLength, long lAngle, long lNumChars, char *pText, long lVel, UINT nRepRate, UINT nPasses);
	//// 1.0507 //////////////////////////////////////
/// 1.0356 DAN 2/07/01 MARK TIME ESTIMATOR ///
protected:
	long	m_lRasCounts;
	long	m_lRasSteps;
	long	m_lVecCounts;
	long	m_lTimer5Counts;
	long	m_lPosSteps;

	BOOL	m_bSimOutput;

public:
	void	ClearTimeEstimate(void);
	void	SetSimOuput(BOOL bSimOutput);
	double	GetTimeEstimate(void);
	BOOL	IsSimulate(void);
////1.0356////////////////////////////////////

	
/// 1.0360 DAN 3/20/01 MARK TIME DLL ADDITION ///
public:
	// AUTOMATION INTERFACE
	BOOL	m_bControllerMark;
	long	m_lMarkStatus;
	BOOL	m_bForceControllerStart;
	long double m_ldExternalAngle;
	long    m_lExternalXOffset;
	long	m_lExternalYOffset;
	// END AUTOMATION
	double	SimpleTimeEstimate(CWSData *pData, int iNumberParts);

	double TimeDrillSpot(long lX, long lY, UINT nRepRate, UINT nPasses);
	//// 1.0605 PAT 27.09.01 DRILL SPOT 2 ////
	double TimeDrillSpot2(long lX, long lY, UINT nDuration);
	//// 1.0605 //////////////////////////////
	double TimeDrillLine(long lX1, long lY1, long lX2, long lY2, long lVel, UINT nRepRate, UINT nPasses);
	double TimeDrillCircle(long lCenX, long lCenY, long lX, long lY, long lVel, UINT nRepRate, UINT nPasses);
	double TimeDrillTrepan(long lX, long lY, long lAngle, long lDiameter, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0, UINT nMode = CDRILL_TREPANMODE_MIX);
	double TimeDrillSpiral(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0, BOOL bRev = FALSE);
	double TimeDrillSpiral2(long lX, long lY, long lAngle, long lInnerDia, long lOuterDia, long lPitch, long lVel, UINT nRepRate, UINT nPasses, long lDeltaAngle = 0, BOOL bRev = FALSE);
	double TimeDrillMove(long lX1, long lY1, long lX2, long lY2, long lVel, UINT nPasses);

	double TimeSingleItem(CItem *pItem, CMaterial *pMaterial, CFixture *pFixture);

////1.0360///////////////////////////////////////

//// 1.0531 PAT 26.04.01 RTC ABORT ADDITIONS ////
public:
	UINT
		m_iRTCAbort;
//// 1.0531 /////////////////////////////////////

//// 1.0571 PAT 02.07.01 NO ROLLOVER SERIAL NUMBER ////
protected:
	void PrepMarking(void);
//// 1.0571 ///////////////////////////////////////////

//// 1.0585 PAT 14.08.01 LOCATE TO AFTER MARK ////
protected:
	void LocateTo(double dX, double dY);
//// 1.0585 //////////////////////////////////////

//// 1.0607 PAT 03.10.01 GET/SET I/O DIG I/O ////
public:
	unsigned short GetDigIO(void);
	void SetDigIO(unsigned short usData);
//// 1.0607 /////////////////////////////////////

//// 1.0625 PAT 07.01.02 DRILL RASTER ////
public:
	UINT MarkSpecialRaster(void);
	void SetFieldSize(double dFieldSize);
//// 1.0625 //////////////////////////////

//// 1.0635 PAT 18.02.02 CW SIGNAL BIT /////
public:
	void SetCWSignal(BOOL bOn);
//// 1.0635 ////////////////////////////////

//// 1.0641 PAT 14.03.02 VISUAL LAYER CONTROL IN DLL ////
protected:
	int
		m_iDLLLayerMode;
public:
	void SetDLLLayerMode(int iMode);
	int GetDLLLayerMode(void);
//// 1.0641 /////////////////////////////////////////////

//// 1.0645 PAT 20.03.02 MODAL CANCEL ABORT ////
public:
	void GetAbortState(int *pMode, LPCTSTR pMsg);
//// 1.0645 ////////////////////////////////////

//// 1.0655 PAT 3.04.02 IDLE TIMEOUT ////
protected:
	int
		m_iOldQWidth;
//// 1.0655 /////////////////////////////

//// 1.0657 PAT 04.04.02 POWER RAMPING ////
protected:
	void SetPowerFreq(double dPower, double dFreq);
//// 1.0657 ///////////////////////////////

	//// 1.0697 PAT 02.08.02 FIX POWER RAMPING ////
	void DoDACDelay(double dPower, double dFreq);
	//// 1.0697 ///////////////////////////////////

	//// 1.0713 PAT 11.10.02 GS8 POWER ////
	double
		m_dPowerMin,
		m_dPowerMax;
	int
		m_iPowerMaxDAC,
		m_iPowerMinDAC;
	//// 1.0713 ///////////////////////////

	//// 1.0713 PAT 11.10.02 GS8 POWER ////
	void SetGS8PowerMod(void);
	//// 1.0713 ///////////////////////////


	/// 1.0514 DAN 5/14/03 DAN PROLASE XP TOOLKIT ///
	/// 1.0500 DAN 11/8/02 DAN PROLASE 2K ///
	//#ifdef _PROLASE2K
	void SetVectorData2K(void);
	void VectorMark2K(void);
	void SetRasterData2K(void);
	void RasterMark2K(void);

	void SetRaster8Data2K(void);
	void Raster8Mark2K(void);

	//// 1.0799 PAT 02.10.03 NEGATIVE STARGSEG ////
	//	void SetStartSeg2K(short *);
	void SetStartSeg2K(short *, short *);
	//// 1.0799 ///////////////////////////////////
	void SetFPS2K(short *);
	void SetLaserMode2K(short *);
	void SetGS8PwrMod2K(short *);

	/// 1.0518 DAN 6/20/03 DAN PROLASE XP SPOT ///
	void Spot2K(short *, short *, short *);
	////1.0518////////////////////////////////////

	/// 1.0520 DAN 6/20/03 DAN PROLASE XP DRIVER FUNCTIONS ///
	void SynradSet16New(short *);
	void LM45SetGPortNew(short *);
	////1.0520////////////////////////////////////////////////


	/// 1.0522 DAN 9/26/03 DAN SPOT DRIVER FUNCTIONS ///
	void SpotDuration2K(unsigned short *, unsigned short *, unsigned short *,
						unsigned short *, unsigned short *,	unsigned short *,
						unsigned short *, unsigned short *, unsigned short *);
	void SpotPulses2K(unsigned short *, unsigned short *, unsigned short *,
					  unsigned short *, unsigned short *, unsigned short *,
					  unsigned short *, unsigned short *, unsigned short *);
	////1.0522//////////////////////////////////////////


	//// 1.0805 PAT 11.11.03 NEG STARTSEG FIX ////
	BOOL
		m_bStartSegNeg;
	//// 1.0805 //////////////////////////////////

	//#endif _PROLASE2K
	////1.0500///////////////////////////////
	////1.0514///////////////////////////////////////

	//// 1.0807 PAT 18.11.03 DRIVER VERSION NOTICE ////
	UINT
		m_nALIDriverVersionExpected;
	void TestALIDriverVersion(void);
	//// 1.0807 ///////////////////////////////////////

	//// 1.0729 PAT NEW AUTMATION DIG IO FUNCTIONS ////
public:
	BYTE GetDigIns(void);
	void SetDigIns(BYTE byState);
	BYTE GetDigOuts(void);
	void SetDigOuts(BYTE byState);
	//// 1.0729 ///////////////////////////////////////

	//// 1.0749 PAT 03.03.03 IMPORT PATCH ////
	void SetAbort(int iType);
	void ClearAbort(void);

	BOOL VerifyAllVectorData(void);
	//// 1.0749 //////////////////////////////

	//// 1.0821 PAT 19.12.03 AUTOLAUNCH OF TABLE SERVER ////
	BOOL StartTableServer(void);
	BOOL IsPlusWorking(void);
	//// 1.0821 ////////////////////////////////////////////


	inline double ComputeScaling(double dA, double dB);

	//// 1.0867 PAT 06.05.04 COM/DLL LASE/POS CONTROL ////
	void SetGalvoPosition(double dX, double dY);
	void SetDelay(double dMilliSeconds);
	void SetLaserOff(void);
	void SetLaserOn(double dPower, double dFreq, int QWidth, DWORD dwMicroSeconds);

	void TurnLaserOff(void);
	void TurnLaserOn(void);

	HANDLE m_hSetLaserOnTCFHandle;
	BOOL m_bSetLaserOnControlFlag;
	DWORD m_dwSetLaserOnTime;
	
	BOOL m_bLaserIsBusy;
	//// 1.0867 //////////////////////////////////////////

	//// 1.0917 PAT 03.08.04 LASER ENABLE SIGNAL ////
	BOOL IsDriverDACLike(void);
	BOOL IsDriverRTCLike(void);
	BOOL IsDriverPlotterLike(void);

	void EnableLaser(BOOL bOn);
	void SetLaserEnable(BOOL bOn);

	CWSTimer m_DelayTimer;
	BOOL Delay(double dSeconds);
	//// PS090423A WSTIMER MODE ////
	CWSTimer *m_pDelayTimer;
	//// PS090423A /////////////////

	HANDLE m_hLaserEnableOffTCFHandle;
	HANDLE m_hLaserEnableOffTimingMutex;
	BOOL m_bLaserEnableThreadActive;
	BOOL m_bLaserEnableCapable;
	BOOL m_bLaserEnableOffTimingOn;
	CWSTimer m_LaserEnableOffTimer;
	//// 1.0917 /////////////////////////////////////
	//// 1.1041 PAT 10.08.05 MULTITHREAD SERVER LASER ENABLE BUG ////
	CWinThread *m_pLaserEnableOffThread;
	BOOL m_bLaserEnableThreadSuspended;
	int m_iLaserEnableOffTimingMutexCount;
	//// 1.1041 /////////////////////////////////////////////////////


	//// 1.0919 PAT 08.08.04 PORT C DIO FIX ////
	void SendSignalRTC2(UINT nOffset, BYTE bMask, BYTE bData);
	void SendSignalRTC3(UINT nOffset, BYTE bMask, BYTE bData);
	void SendSignalRTC4(UINT nOffset, BYTE bMask, BYTE bData);
	//// 1.1037 PAT 25.07.05 SCANALONE ////
	void SendSignalRTCSA4(UINT nOffset, BYTE bMark, BYTE bData);
	//// 1.1037 ///////////////////////////
	//// 1.0919 ////////////////////////////////

	//// 1.0929 PAT 31.08.04 RESET LIST FILE ENTRY ON NEW FILE ////
	int m_iChangedListFiles;
	//// 1.0929 ///////////////////////////////////////////////////

	//// 1.0955 PAT 18.10.04 PRECOMPILE FIX ////
	static void SetPreCompileFlags(void);
	//// 1.0955 ////////////////////////////////

	//// 1.0957 PAT 20.10.04 IPG THREAD FIX ////
	BOOL m_bLaserEnableOffTimingMutexOwned;
	BOOL GetLaserEnableOffTimingMutex(BOOL bKeep);
	void EndLaserEnable(void);
	//// 1.0957 ////////////////////////////////

	//// 1.0967 PAT 02.12.04 LOCATE AFTER MARK REDEAUX ////
	void MoveTables(long *pX, long *pY);
	void FlushGalvos(void);
	//// 1.0967 ///////////////////////////////////////////

	//// 1.0975 PAT 07.01.05 ANGLETC FIX ////
	double m_dPrevVectorAngle;
	//// 1.0975 /////////////////////////////

	//// 1.1001 PAT 31.03.05 DIGITAL POWER OUT ////
	void SetPowerDigital(int iPower);
	unsigned short OutputPowerDigital(unsigned short nPower);
	//// 1.1001 ///////////////////////////////////

	//// 1.1047 PAT 30.08.05 COM MARK OPTIONS ////
	BOOL m_bComMarkDefaultMode;
	BOOL m_bComIsMarking;

	CObject *m_pComDoc;
	int	m_iComMarkingMode;
	//// 1.1047 //////////////////////////////////

	//// 1.1075 PAT 25.10.05 COM FIXES ////
	void RTCLoggingEnable(BOOL bOn);
	void RTCLoggingSetMode(int iMode);
	//// 1.1075 ///////////////////////////

	//// 1.1091 PAT 06.01.06 USER CONTROL ARGS ////
	CString ParseUserControlParameterList(CString sOrig);
	//// 1.1091 ///////////////////////////////////

	//// 1.1099 PAT 30.01.06 DLL SETROOTDIR ////
	static void SetRootDirEx(LPCTSTR sRoot);
	static void GetRootDirEx(int iSize, LPCTSTR sRoot);
	static void EnableBootLog(BOOL bEnable);
	//// 1.1099 ////////////////////////////////

	//// 1.1109 PAT 14.02.08 CLEAR TEMP FROM COM ////
	void ClearTempFolder(void);
	void ClearVectorLibrary(void);
	//// 1.1109 /////////////////////////////////////
	
	//// 1.1117 PAT 27.02.06 SPOTS IN 2DCODE ////
	void LaseCellWithSpot(void);
	int	m_nCurChar;
	//// 1.1117 /////////////////////////////////

	//// 1.1119 PAT 13.03.06 LIST FILE POS MODIFIERS ////
	BOOL m_bListModifiersXYPosFlag;
	long m_lBaseX;
	long m_lBaseY;
	//// 1.1119 PAT /////////////////////////////////////


	//// 1.1127 PAT 14.04.06 DYN LIST VAR TEXT ////
	int m_iDynFileCount;
	//	CString m_DynFileName[5];
	//	int m_iDynFilePos[5];
	CObArray m_DynFileName;
	CObArray m_DynFilePos;

	void ProcessDynFile(CItem *pItem);
	void ResetDynFiles(void);
	//// 1.1127 ///////////////////////////////////

	//// 1.1129 PAT 18.04.06 USER CONTROL ABORT ////
	BOOL IsAbortUserControl(void);
	//// 1.1129 ////////////////////////////////////

	//// 1.1131 PAT 20.04.06 IPG POWER LATCH SIGNAL ////
	void SetPowerLatch(BOOL bOn);
	//// 1.1131 ////////////////////////////////////////

	//// 1.1155 PAT 13.06.06 USER CONTROL ABORT FILE ////
	BOOL IsAbortUserControlFile(void);
	//// 1.1155 /////////////////////////////////////////

	//// 1.1159 PAT 18.06.06 DYN FILE MODIFIERS ////
	BOOL IsFileModifiable(CItem *pItem);
	//// 1.1159 ////////////////////////////////////

	//// 1.1173 PAT 08.08.06 USER CONTROL FOR BATCH COMPLETE AND ABORT ////
	int m_iFirstAbort;
	//// 1.1173 ///////////////////////////////////////////////////////////


	//// 1.1181 PAT 25.08.06 RS232 VAR TEXT ////
	BOOL m_bRS232Enabled;
	BOOL m_bRS232OK;
	CString m_sRS232Port;
	HANDLE m_hRS232;
	DCB m_xRS232DCB;
	COMMTIMEOUTS m_xRS232Timeouts;
	
	CString m_sRS232Error;
	void RS232Init(void);
	int RS232OpenPort(void);
	void RS232ClosePort(void);
	int RS232ReadPort(int *pNumChar, CString& sData);
	int RS232WritePort(int *pNumChar, CString sData);

	int GetRS232Text(CString& sText);
	//// 1.1181 ////////////////////////////////
	//// 1.1393 PAT 31.10.07 RS232 CTRL CHAR OPTIONS ////
	int RS232PurgePort(HANDLE hPort);
	//// 1.1393 /////////////////////////////////////////

	//// 1.1201 PAT 21.09.06 3 WAY LAYER & OBJECTS ////
	BOOL m_bLayerActive;
	BOOL m_bLayerNoIO;
	BOOL m_bItemActive;
	BOOL m_bItemNoUpdate;
	//// 1.1201 ///////////////////////////////////////
	
	//// 1.1203 PAT 26.09.06 AUTOSAVE CLEARS MODIFIED FLAG ////
	BOOL m_bWSDataFileModifiedByMark;
	//// 1.1203 ///////////////////////////////////////////////

	//// 1.1213 PAT 04.10.06 IPG POWER CAL FIX ////
	void EnableLaserST(BOOL bOn);
	//// 1.1213 ///////////////////////////////////

	//// 1.1225 BETTER PAUSE ////
	BOOL PauseMarking(void);
	//// 1.1225 /////////////////

	//// 1.1285 PAT 24.01.07 GRAPHIC EMBEDDED SPOTS ////
	void LaseEmbeddedSpot(void);
	//// 1.1285 ////////////////////////////////////////

	//// 1.1307 PAT 01.03.07 COM APPLETS ////
	void ComAppletsAllStart(void);
	void ComAppletsAllStop(void);
	void ComAppletsAllRestart(void);
	int ComAppletsStart(CComApp *pComApp);
	int ComAppletsStart(int iIndex);
	int ComAppletsStop(CComApp *ComApp);
	int ComAppletsStop(int iIndex);
	int ComAppletsTerminate(CComApp *ComApp);
	int ComAppletsTerminate(int iIndex);
	int ComAppletsShutdown(WORD wApplets);

	int m_iAppletOrd;
	WORD m_wApplets;
	WORD m_wAppStatus;
	int UpdateApplets();
	
#ifdef _ALIUSE
	#ifndef _PROLASEDLL
	CProcMonDlg	*m_pProcMonDlg;
	#endif // _PROLASEDLL
#endif 
	BOOL m_bProcMonitorOn;
	void UpdateProcMonitor(void);
	//// 1.1307 /////////////////////////////


	//// 1.1321 PAT 23.04.07 SN DATE RESET ////
	BOOL IsSameDateYear(CTime t1, CTime t2);
	BOOL IsSameDateMonth(CTime t1, CTime t2);
	BOOL IsSameDateDay(CTime t1, CTime t2);
	BOOL IsSameDateDOW(CTime t1, CTime t2);
	//// 1.1321 ///////////////////////////////

	//// 1.1335 PAT 15.06.07 UPDATE SPOT CODE ////
	void LaseSpotDuration(void);
	void LaseSpotPulses(void);
	//// 1.1335 //////////////////////////////////

	//// 1.1353 PAT 09.07.07 CENTER GALVOS REVISIT ////
	void InitGalvos(void);
	// void CenterGalvos(void);
		// This is declared earlier.  That declaration
		// remains, but the function definition in Mark.cpp
		// is moved to the end of the file.
	void SetGalvoPos(long lX, long lY);
	//// 1.1353 ///////////////////////////////////////

	//// 1.1359 PAT 07.08.07 LAYER START METHODS ////
	BOOL ManagerIsStartSignal2(BYTE *pSignalRead, BOOL *pAborted);
	BOOL m_bLayerStartEnabled;
	BOOL m_bLayerStartDedicated;
	BOOL m_bLayerStartEnterKey;
	BOOL m_bLayerStartInputMask;
	//// 1.1359 /////////////////////////////////////
	//// 1.1369 PAT 21.08.07 LAYER MARK MODES REVISIT ////
	BOOL m_bLayerStartUseConfig;
	BOOL ManagerIsStartSignal3(BYTE *pSignalRead, BOOL *pAborted);
	//// 1.1369 //////////////////////////////////////////

	//// 1.1371 PAT 21.08.07 DEFAULT LAYER PREMARK MESSAGE ////
	CString GetLayerPreMarkMessage(CLayer *pLayer);
	//// 1.1371 ///////////////////////////////////////////////
	
	//// 1.1379 PAT 29.08.07 COM MARKSTATUS=0 CHANGE ////
	long GetMarkStatusForAbort(int iAbort);
	//// 1.1379 /////////////////////////////////////////

	//// 1.1403 PAT 10.12.07 SCREEN REFRESH DURING MARK ////
	void RefreshScreen(void);
	//// 1.1403 ////////////////////////////////////////////

	//// PS080204A DEDICATED START ////
	BOOL GetDedicatedAbort(void);
	BOOL GetDedicatedStart(void);
	BOOL GetGeneralLaserFault(void);
	//// PS080204A ////////////////////
	
	//// PS080204B SPI LASER ////
	void EnablePointerLaser(BOOL bOn);
	//// PS080603B SPI COMPLETION ////
	//	void EnableLaserReset(BOOL bOn);
	void EnableLaserActivate(BOOL bOn);
	//// PS080603B ///////////////////
	int SelectLaserWaveform(int iWaveform);
	int SetLaserWaveform(int iWaveform);

	int m_nLaserType;		// CO2, YAG, Fiber, Fiber-WF Selectable
	int m_iWaveform;
	//// PS080204B //////////////
	
	//// JT080211A SPI Signals ////
	bool	GroundState();
	void	SimmerDelay( double dAlreadyDelayed );
	//// PS080603B SPI COMPLETION ////
	//	void	ResetLaser();
	void	ActivateLaser();
	//	void	ReadyLaser();
	bool	ReadyLaser();
	//// PS080603B ///////////////////
	//// PS20100421A ALLOW INVERTED LASER ACTIVATE/RESET SIGNAL ////
	void UnReadyLaser(void);
	//// PS20100421A ///////////////////////////////////////////////

	CWSTimer m_SPIGlobalEnableDelayTimer;
	//// JT080211A ////

	//// PS080303A RS232 DATA LOGGING ////
	BOOL m_bRS232LoggingEnabled;
	
	// Logs every raw byte received on RS232
	BOOL m_bRS232PortLogOn;
	CFile m_vRS232PortLogFile;
	DWORD m_dwRS232PortLogFilePos;

	// Logs item text received over RS232
	BOOL m_bRS232DataLogOn;
	CFile m_vRS232DataLogFile;
	DWORD m_dwRS232DataLogFilePos;
	SYSTEMTIME m_tRS232DataLogTime;

	BOOL RS232ReadPortChar(int *pNumChar, char *pChar);
	BOOL RS232ReadPortString(int *pNumChar, CString& sString);
	//// PS080303A ///////////////////////

	//// PS080414A GALVO TRACKING ////
	void TrackGalvoPosition(double dX, double dY);
	BOOL ClipTrackPosition(double *pX, double *pY);
	//// PS080414A ///////////////////

	//// PS080513A DYNAMIC LIST FOR RTF ////
	int m_iRTFFileCount;
	CObArray m_RTFFileName;
	CObArray m_RTFFilePos;

	BOOL ProcessRTFFile(CItem *pItem);
	void ResetRTFFiles(void);
	//// PS080513A /////////////////////////

	//// PS080603B SPI COMPLETION ////
	void DelayUntilLaserReady(void);
	//// PS080603B ///////////////////
	
	//// PS080806A CONDITIONAL LAYERING ////
	BYTE m_byInputAtStart;
	BOOL m_bLayerCondSkipped;
	BOOL GetLayerMarkCondition(CLayer *pLayer);
	//// PS080806A /////////////////////////

	//// PS080806B NO SERIAL INC WHEN SKIPPED ////
	BOOL m_bItemCondSkipped;
	BOOL GetItemMarkCondition(CItem *pItem);
	//// PS080806B ///////////////////////////////

	//// PS080807A LAYER LATCH INPUT ////
	BOOL GetLatchInput(BYTE byData, CLayer *pLayer);
	BOOL m_bAwaitingLatchSignal;
	BOOL ManagerIsLatchSignal(BYTE *pSignalRead, BOOL *pAborted);
	CString GetLayerLatchMessage(CLayer *pLayer);
	//// PS080807A //////////////////////

	//// PS090128A PREMOVE DELAY FOR DAC ////
	BOOL m_bLaserWasOn;
	double m_dPreMoveTC;
	int m_iVBAdjust;
	int m_iVBDelayMax;
	int m_iVBDelay;
	int AddPreMoveDelay(int iDelay, int iCnt, long double ldX, long double ldY);
	//// PS090128A //////////////////////////

	//// PS090422A PREMARK DELAY ////
	int LayerPreMarkDelay(double dDelay);
	//// PS090422A //////////////////

	//// PS090424B PROGRAMMABLE FREQ BOUNDING ////
	double m_dFreqLimitMax;
	double m_dFreqLimitMin;
	int m_iFreqLimitCWMode;
	double m_dFreqLimitPeriodMin;
	double m_dFreqLimitPeriodMax;
	//// PS090424B ///////////////////////////////

	//// PS090813A LAYER ITERATE ////
	BOOL m_bLayerLatchClearDedicatedStart;
	//// PS090813A //////////////////

	//// PS090819A LAYER ITERATE PREMARK MESSAGE ////
	UINT m_nCurLayerIteration;
	//// PS090819A //////////////////////////////////

	//// PS090824A VAR TEXT LOG FILE ////
	int LogLayerVarTextData(CLayer *pLayer, CString sFileName);
	//// PS090824A //////////////////////

	//// PS090923A SPEED CONTROL IN SIMULATE ////
	void SetSimulatePixelSpeed(long lXPos, long lYPos, long lCounts);
	//// PS090923A //////////////////////////////

	//// PS091002A SIMULATE SPEED FINISH ////
	double m_dSimSpeedFactor;
	//// PS091002A //////////////////////////

	//// PS091007B SPOT LASER ENABLE ////
	BOOL m_bLaserEnableActivatedInSpot;
	//// PS091007B //////////////////////

	//// PS091020A REMOVING FREE HARDWARE ACCESS ////
	int _inp(unsigned short port);
	unsigned short _inpw(unsigned short port);
	unsigned long _inpd(unsigned short port);

	int _outp(unsigned short port, int databyte);
	unsigned short _outpw(unsigned short port, unsigned short dataword);
	unsigned long _outpd(unsigned short port, unsigned long dataword);


	BOOL DirectIO(void);
	BOOL UseIO(void);
	//// PS091020A //////////////////////////////////

	//// PS20100427A ANALOG_OUT2 FOR WSFIBER ////
	void SetAnalogFreq(void);
	//// PS20100427A ////////////////////////////

	//// PS20100427B SIMMER CURRENT SETTING ////
	double m_dSimmerFraction;
	void SetSimmerPower(void);
	//// PS20100427B ///////////////////////////

	//// PS20100811A PREVIEW MODE ////
	BOOL m_bPreviewMode;
	//// PS20100811A /////////////////

};

#endif