// Header file with version information for CConfig class
//
// Ver_Config.h
//

/*
	Version 0	-	Date pre 1999.12.06

Original version of the CConfig class archive.
*/
#define CONFIG_1999_12_05		0

/*
	Version 1	-	Date 1999.12.06

This version starts the versioning!!!!
The Lens archive is added to the file
*/
#define CONFIG_1999_12_06		100


/*
	Version 2	- Date 1999.12.23

This version adds the RTC2Data class to the archive.
*/
#define CONFIG_1999_12_23		200

/*
	Version 3	- Date 2000.09.26

  This version adds the m_bUseSoftStartSeg variable
*/
#define CONFIG_2000_09_26		300


/*
	Version 4	- Date 2000.11.26

  This version adds the m_sPlotterName variable
*/
#define	CONFIG_2000_11_26		400

/*
	Version 5	- Date 2001.01.13

  This version adds RTC3Data class member to the archive.
*/
#define CONFIG_2001_01_13		500

/*
	Version 6   - Date 2001.01.20

  This version adds the Idle Power Feature
  adds float m_fIdlePower
	   BOOL m_bAutoIdlePower
*/
#define CONFIG_2001_01_20		600
/*
    Version 7 - Date 2001.01.22
	This version adds auto center galvos after mark
*/
#define CONFIG_2001_01_22		700

/*
	Version 8 - Date 2001.02.15
	this version adds the page data for the
	plotter driver:
		m_siPageOrientation
		m_siPagePaperSize
		m_siPagePaperLength
		m_siPagePaperWidth
*/
#define CONFIG_2001_02_15		800

/*
	Version 9 - Vickers Flag
*/
#define CONFIG_2001_03_14		900

/*
	Version 10 - YAG Mode
*/
#define CONFIG_2001_05_01		1000

/*
	Version 11 - Auto Retry		
*/
#define CONFIG_2001_06_11		1100

/*
	Version 12
	Adds Idle timeout (min.) and Power ramp delay (sec.)
*/
#define CONFIG_2002_04_04		1200

/*
	Version 13
	Adds DAC power modulation flag (m_bGS8PowerModulateOn)
*/
#define CONFIG_2002_10_11		1300


/*
	Version 14
	This version adds the RTC4Data class member to the archive.
*/
#define CONFIG_2004_03_02		1400

/*
	Version 14
	Adds m_lMarkFlags;
*/
#define CONFIG_2004_04_30		1500

/*
	Version 15
	Adds m_dwDriverFlags1, m_dwDriverFlags2
*/
#define CONFIG_2004_05_18		1600

/*
	Version 16
	Adds m_bAutoIdlePowerDelay
*/
#define CONFIG_2004_06_04		1700

/*
	Version 17
	Adds Laser Enable variables:
		m_bLaserEnableActive
		m_dLaserEnableOnTime
		m_dLaserEnableOffTime
*/
#define CONFIG_2004_08_03		1800

/*
	Version 18
	Adds IPG Laser signals flag
		m_bIPGLaser
*/
#define CONFIG_2004_08_19		1810

/*
	Version 19
	Adds  ignore start conditions flag
		m_bNoStartDigInput
*/
#define CONFIG_2005_07_20		1820

/*
	Version 14
	Adds RTC SCANalone4 data
		m_RTCSA4
*/
#define CONFIG_2005_07_25		1830

/*
	Version 15
	Adds <ENTER> override switch
		m_bNoEnterOverride
*/
#define CONFIG_2006_05_01		1840

/*
	Version 16
	Adds Field guides 
		m_bOptical
		m_bCustom
		m_fCustomSize
*/
#define CONFIG_2006_05_23		1850

/*
	Version 17
	Adds the Calibrations tables to the
	configuration archive.  This is appended
	to the end.  The names of the cal files
	are kept, loaded and saved, but not used.
*/
#define CONFIG_2006_07_14		1860

/*
	Version 18
	Adds config abort IO state/mask and
	Idle State and Abort User Controls
		m_uAbortState
		m_uAbortStateMask
		m_bIdleUCEnabled
		m_sIdleUCFile
		m_sIdleUCArgs
		m_bIdleUCShow
		m_bAbortUCEnabled
		m_sAbortUCFile
		m_sAbortUCArgs
		m_bAbortUCShow
*/
#define CONFIG_2006_08_08		1870

/*
	Version 19
	Adds RS-232 variables:
		m_bRS232Enabled
		m_sRS232Port
		m_iRS232BuadRate
		m_iRS232ByteSize
		m_iRS232Parity
		m_iRS232StopBits
		m_iRS232Timeout
		m_iRS232DataSeparator
		m_iRS232DataChars
*/
#define CONFIG_2006_08_25		1880

/*
	Version 20
	Adds separate power calibration freq control.
		m_dCalFreqForPower
		m_bCalFreqForPowerCW
*/
#define CONFIG_2006_11_01		1890

/*
	Version 21
	Adds COM Applets to config
		m_iComAppCount
		m_sComApps[COMAPP_COUNT_MAX]
*/
#define CONFIG_2007_03_07		1900

/*
	Version 22
	Adds New Vickers feature variables
		m_bVickLocalFix
		m_bVickRemap
		m_sVickRemapA
		m_sVickRemapB
*/
#define CONFIG_2007_06_25		1910

/*
	Version 23
	Adds new delay
		m_dPreMoveDelay
*/
#define CONFIG_2007_10_04		1920

/*
	Version 24
	Adds new RS232 variables:
		m_bPurgeOnMark
		m_iCtrlCharAction

*/
#define CONFIG_2007_10_31		1930

/*
	Version 25
	Adds variables for screen updates
	and external power calibration tables
		m_bScreenRefreshDuringMark

		m_bExternalPowerCalTableEnable
		m_sExternalPowerCalTableFile
*/
#define CONFIG_2007_12_11		1940

/*
	Version 26
	Adds data associated with the custom pulse with
	table:
		m_bPTLeadingEdge
		m_bUsePulseTable
		m_dPTRestartDelay
		m_iSizePulseTable
		m_dPulseTableValues[ 0 ... (N-1) ]
	The array is handled in a loop.
*/
#define CONFIG_2008_01_28		1950

/*
	Version 27
	Adding laser type variable.
		m_iLaser
*/
#define CONFIG_2008_02_06		1983

/*
	Version 27
	Adding default waveform, which a pass in the material file may default to.
		m_iDefaultWaveform
*/
#define CONFIG_2008_02_13		1990

/*
	Version 28
	Adds flag variables for 2 mods:
		m_bAltRingModeScheme
		m_bRS232LoggingEnabled
*/
#define CONFIG_2008_03_03		2000


/*
	Version 29
	Adds variable for PulseTable modes
		m_iPulseTableMode
*/
#define CONFIG_2008_07_18		2010

/*
	Version 30
	Adds variable for disabling mark modes
		m_bAutoMarkModeOnly
*/
#define CONFIG_2009_01_26		2021


/*
	Version 31
	Adds toggle for enabling/diabling digital power port
		m_bEnable9513OutPort
*/
#define CONFIG_2009_02_25		2022

/*
	Version 32
	Adds Frequency bounds values
		m_dFreqLimitMax
		m_dFreqLimitMin
		m_bFreqLimitCW
*/
#define CONFIG_2009_04_24		2033

/*
	Version 33
	Adds
		m_bDateCodeISO8601WeekEnabled
*/
#define CONFIG_2010_03_16		2044

/*
	Version 34
	Adds
		m_bLaserActivateInvert
		m_iLaserActivateMode
*/
#define CONFIG_2010_04_21		2051

// Now define the current version
#define VER_CONFIG				CONFIG_2010_04_21
//#define VER_CONFIG				CONFIG_2010_03_16
//#define VER_CONFIG				CONFIG_2009_04_24
//#define VER_CONFIG				CONFIG_2009_02_25
//#define VER_CONFIG				CONFIG_2009_01_26
//#define VER_CONFIG				CONFIG_2008_07_18
//#define VER_CONFIG				CONFIG_2008_03_03
//#define VER_CONFIG				CONFIG_2008_02_13
//#define VER_CONFIG				CONFIG_2008_02_06
//#define VER_CONFIG				CONFIG_2008_01_28
//#define VER_CONFIG				CONFIG_2007_12_11
//#define VER_CONFIG				CONFIG_2007_10_31
//#define VER_CONFIG				CONFIG_2007_10_04
//#define VER_CONFIG				CONFIG_2007_06_25
//#define VER_CONFIG				CONFIG_2007_03_07
//#define VER_CONFIG				CONFIG_2006_11_01
//#define VER_CONFIG				CONFIG_2006_08_25
//#define VER_CONFIG				CONFIG_2006_08_08
//#define VER_CONFIG				CONFIG_2006_07_14
//#define VER_CONFIG				CONFIG_2006_05_23
//#define VER_CONFIG				CONFIG_2006_05_01
//#define VER_CONFIG				CONFIG_2005_07_25
//#define VER_CONFIG				CONFIG_2005_07_20
//#define VER_CONFIG				CONFIG_2004_08_19
//#define VER_CONFIG				CONFIG_2004_08_03
//#define VER_CONFIG				CONFIG_2004_06_04
//#define VER_CONFIG				CONFIG_2004_05_18
//#define VER_CONFIG				CONFIG_2004_04_30
//#define VER_CONFIG				CONFIG_2004_03_02
//#define VER_CONFIG				CONFIG_2002_10_11
//#define VER_CONFIG				CONFIG_2002_04_04
//#define VER_CONFIG				CONFIG_2001_06_11
//#define VER_CONFIG				CONFIG_2001_05_01
//#define VER_CONFIG				CONFIG_2001_03_14
//#define VER_CONFIG				CONFIG_2001_02_15
//#define VER_CONFIG				CONFIG_2001_01_22
//#define VER_CONFIG				CONFIG_2001_01_20
//#define VER_CONFIG				CONFIG_2001_01_13
//#define VER_CONFIG				CONFIG_2000_11_26
//#define VER_CONFIG				CONFIG_2000_09_26
//#define VER_CONFIG				CONFIG_1999_12_23
//#define VER_CONFIG				CONFIG_1999_12_06
//#define VER_CONFIG				CONFIG_1999_12_05





//// 1.0263 PAT 22.12.99 RTC2 DRIVER DLG ////
//// 1.0437 PAT 26.09.00 SOFT STARTSEG ////
//// 1.0445 PAT 11.10.00 RTC3 DRIVER ////
//// 1.0497 PAT 15.02.01 ULS PLOTTER PATCH # 1 ////
//// 1.0541 PAT 16.05.01 SOFT FPS ////
//// 1.0655 PAT 04.04.02 POWER RAMPING ////
//// 1.0713 PAT 11.10.02 GS8 POWER ////
//// 1.0835 PAT 02.03.04 RTC4 ////
//// 1.0863 PAT 30.04.04 FILE VERSION UPDATES ////
//// 1.0873 PAT 18.05.04 CFG BACKUP PATCH ////
//// 1.0877 PAT 04.06.04 IDLE POWER DELAY ////
//// 1.0917 PAT 03.08.04 LASER ENABLE SIGNAL ////
//// 1.0921 PAT 19.08.04 IPG LASER ////
//// 1.1035 PAT 20.07.05 DISABLE START INPUT ////
//// 1.1037 PAT 25.07.05 SCANALONE ////
//// 1.1139 PAT 01.05.06 DISABLE <ENTER> START OVERRIDE ////
//// 1.1143 PAT 23.05.06 FIELD GUIDES ////
//// 1.1167 PAT 14.07.06 CONFIG CHANGES ////
//// 1.1173 PAT 08.08.06 USER CONTROL FOR BATCH COMPLETE AND ABORT ////
//// 1.1181 PAT 25.08.06 RS232 VAR TEXT ////
//// 1.1247 PAT 01.11.06 POWER CAL FREQ SETTING ////
//// 1.1307 PAT 01.03.07 COM APPLETS ////
//// 1.1347 PAT 25.06.07 VICKERS CHANGES ////
//// 1.1383 PAT 04.10.07 PRE MOVE DELAY FOR RTC ////
//// 1.1393 PAT 31.10.07 RS232 CTRL CHAR OPTIONS ////
//// 1.1405 PAT 11.12.07 POWER CAL TABLE TEXT FILE ////
//// JT080128A Adding Custom Pulse Width Table for RTC4 ////
//// JT080208A Adding Controls For Laser Type ////
//// JT080211A SPI Signals ////
//// PS080303A RS232 DATA LOGGING ////
//// PS080718A PULSE TABLE ANALOG MODE ////
//// PS090126A DISABLE QUICKMARK ////
//// PS090225A DIG POWER PORT TOGGLE ////
//// PS090424B PROGRAMMABLE FREQ BOUNDING ////
//// PS20100316B ISO8601 WEEK OF YEAR ////
//// PS20100421A ALLOW INVERTED LASER ACTIVATE/RESET SIGNAL ////
